gtkmm: Gtk::Entry Class Reference

gtkmm 4.11.3

Public Types | Public Member Functions | Static Public Member Functions | Related Functions | List of all members
Gtk::Entry Class Reference
Widgets

A single line text entry field. More...

`#include <gtkmm/entry.h>`

Inheritance diagram for Gtk::Entry:
[legend]

## Public Types
enum class | IconPosition { IconPosition::PRIMARY , IconPosition::SECONDARY }
| Specifies the side of the entry at which an icon is placed. More...
Public Types inherited from Gtk::Widget
using | SlotTick = sigc::slot< bool(const Glib::RefPtr< Gdk::FrameClock > &)>
| Callback type for adding a function to update animations. More...
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify
Public Types inherited from sigc::notifiable
typedef internal::func_destroy_notify | func_destroy_notify
Public Types inherited from Gtk::Accessible
enum class | Role { Role::ALERT , Role::ALERT_DIALOG , Role::BANNER , Role::BUTTON , Role::CAPTION , Role::CELL , Role::CHECKBOX , Role::COLUMN_HEADER , Role::COMBO_BOX , Role::COMMAND , Role::COMPOSITE , Role::DIALOG , Role::DOCUMENT , Role::FEED , Role::FORM , Role::GENERIC , Role::GRID , Role::GRID_CELL , Role::GROUP , Role::HEADING , Role::IMG , Role::INPUT , Role::LABEL , Role::LANDMARK , Role::LEGEND , Role::LINK , Role::LIST , Role::LIST_BOX , Role::LIST_ITEM , Role::LOG , Role::MAIN , Role::MARQUEE , Role::MATH , Role::METER , Role::MENU , Role::MENU_BAR , Role::MENU_ITEM , Role::MENU_ITEM_CHECKBOX , Role::MENU_ITEM_RADIO , Role::NAVIGATION , Role::NONE , Role::NOTE , Role::OPTION , Role::PRESENTATION , Role::PROGRESS_BAR , Role::RADIO , Role::RADIO_GROUP , Role::RANGE , Role::REGION , Role::ROW , Role::ROW_GROUP , Role::ROW_HEADER , Role::SCROLLBAR , Role::SEARCH , Role::SEARCH_BOX , Role::SECTION , Role::SECTION_HEAD , Role::SELECT , Role::SEPARATOR , Role::SLIDER , Role::SPIN_BUTTON , Role::STATUS , Role::STRUCTURE , Role::SWITCH , Role::TAB , Role::TABLE , Role::TAB_LIST , Role::TAB_PANEL , Role::TEXT_BOX , Role::TIME , Role::TIMER , Role::TOOLBAR , Role::TOOLTIP , Role::TREE , Role::TREE_GRID , Role::TREE_ITEM , Role::WIDGET , Role::WINDOW , Role::TOGGLE_BUTTON }
| The accessible role for a Gtk::Accessible implementation. More...
enum class | State { State::BUSY , State::CHECKED , State::DISABLED , State::EXPANDED , State::HIDDEN , State::INVALID , State::PRESSED , State::SELECTED , State::VISITED }
| The possible accessible states of a Gtk::Accessible. More...
enum class | Property { Property::AUTOCOMPLETE , Property::DESCRIPTION , Property::HAS_POPUP , Property::KEY_SHORTCUTS , Property::LABEL , Property::LEVEL , Property::MODAL , Property::MULTI_LINE , Property::MULTI_SELECTABLE , Property::ORIENTATION , Property::PLACEHOLDER , Property::READ_ONLY , Property::REQUIRED , Property::ROLE_DESCRIPTION , Property::SORT , Property::VALUE_MAX , Property::VALUE_MIN , Property::VALUE_NOW , Property::VALUE_TEXT }
| The possible accessible properties of a Gtk::Accessible. More...
enum class | Relation { Relation::ACTIVE_DESCENDANT , Relation::COL_COUNT , Relation::COL_INDEX , Relation::COL_INDEX_TEXT , Relation::COL_SPAN , Relation::CONTROLS , Relation::DESCRIBED_BY , Relation::DETAILS , Relation::ERROR_MESSAGE , Relation::FLOW_TO , Relation::LABELLED_BY , Relation::OWNS , Relation::POS_IN_SET , Relation::ROW_COUNT , Relation::ROW_INDEX , Relation::ROW_INDEX_TEXT , Relation::ROW_SPAN , Relation::SET_SIZE }
| The possible accessible relations of a Gtk::Accessible. More...
enum class | PlatformState { PlatformState::FOCUSABLE , PlatformState::FOCUSED , PlatformState::ACTIVE }
| The various platform states which can be queried using Gtk::Accessible::get_platform_state(). More...

## Public Member Functions
| Entry (Entry && src) noexcept
Entry & | operator= (Entry && src) noexcept
| Entry (const Entry &)=delete
Entry & | operator= (const Entry &)=delete
| ~Entry () noexcept override
GtkEntry * | gobj ()
| Provides access to the underlying C GObject. More...
const GtkEntry * | gobj () const
| Provides access to the underlying C GObject. More...
| Entry ()
| Entry (const Glib::RefPtr< EntryBuffer > & buffer)
Glib::RefPtr< EntryBuffer > | get_buffer ()
| Get the `Gtk::EntryBuffer` object which holds the text for this widget. More...
Glib::RefPtr< const EntryBuffer > | get_buffer () const
| Get the `Gtk::EntryBuffer` object which holds the text for this widget. More...
void | set_buffer (const Glib::RefPtr< EntryBuffer > & buffer)
| Set the `Gtk::EntryBuffer` object which holds the text for this widget. More...
void | set_visibility (bool visible=true)
| Sets whether the contents of the entry are visible or not. More...
bool | get_visibility () const
| Retrieves whether the text in entry is visible. More...
void | set_invisible_char (gunichar ch)
| Sets the character to use in place of the actual text in “password mode”. More...
void | unset_invisible_char ()
| Unsets the invisible char, so that the default invisible char is used again. More...
gunichar | get_invisible_char () const
| Retrieves the character displayed in place of the actual text in “password mode”. More...
void | set_has_frame (bool setting=true)
| Sets whether the entry has a beveled frame around it. More...
bool | get_has_frame () const
| Gets the value set by set_has_frame(). More...
void | set_overwrite_mode (bool overwrite=true)
| Sets whether the text is overwritten when typing in the `Gtk::Entry`. More...
bool | get_overwrite_mode () const
| Gets whether the `Gtk::Entry` is in overwrite mode. More...
void | set_max_length (int max)
| Sets the maximum allowed length of the contents of the widget. More...
int | get_max_length () const
| Retrieves the maximum allowed length of the text in entry. More...
guint16 | get_text_length () const
| Retrieves the current length of the text in entry. More...
void | set_activates_default (bool setting=true)
| Sets whether pressing Enter in the entry will activate the default widget for the window containing the entry. More...
gboolean | get_activates_default () const
| Retrieves the value set by set_activates_default(). More...
void | set_alignment (float xalign)
| Sets the alignment for the contents of the entry. More...
void | set_alignment (Align xalign)
| Sets the alignment for the contents of the entry. More...
float | get_alignment () const
| Gets the value set by set_alignment(). More...
void | set_completion (const Glib::RefPtr< EntryCompletion > & completion)
| Sets completion to be the auxiliary completion object to use with entry. More...
Glib::RefPtr< EntryCompletion > | get_completion ()
| Returns the auxiliary completion object currently in use by entry. More...
Glib::RefPtr< const EntryCompletion > | get_completion () const
| Returns the auxiliary completion object currently in use by entry. More...
void | set_progress_fraction (double fraction)
| Causes the entry’s progress indicator to “fill in” the given fraction of the bar. More...
double | get_progress_fraction () const
| Returns the current fraction of the task that’s been completed. More...
void | set_progress_pulse_step (double fraction)
| Sets the fraction of total entry width to move the progress bouncing block for each pulse. More...
double | get_progress_pulse_step ()
| Retrieves the pulse step set with set_progress_pulse_step(). More...
void | progress_pulse ()
| Indicates that some progress is made, but you don’t know how much. More...
Glib::ustring | get_placeholder_text () const
| Retrieves the text that will be displayed when entry is empty and unfocused. More...
void | set_placeholder_text (const Glib::ustring & text)
| Sets text to be displayed in entry when it is empty. More...
void | set_icon_from_paintable (const Glib::RefPtr< Gdk::Paintable > & paintable, IconPosition icon_pos=IconPosition::PRIMARY)
| Sets the icon shown in the specified position using a `Gdk::Paintable`. More...
void | set_icon_from_icon_name (const Glib::ustring & icon_name, IconPosition icon_pos=IconPosition::PRIMARY)
| Sets the icon shown in the entry at the specified position from the current icon theme. More...
void | set_icon_from_gicon (const Glib::RefPtr< Gio::Icon > & icon, IconPosition icon_pos=IconPosition::PRIMARY)
| Sets the icon shown in the entry at the specified position from the current icon theme. More...
void | unset_icon (IconPosition icon_pos=IconPosition::PRIMARY)
| Do not show any icon in the specified position. More...
Image::Type | get_icon_storage_type (IconPosition icon_pos=IconPosition::PRIMARY) const
| Gets the type of representation being used by the icon to store image data. More...
Glib::RefPtr< Gdk::Paintable > | get_icon_paintable (IconPosition icon_pos=IconPosition::PRIMARY)
| Retrieves the `Gdk::Paintable` used for the icon. More...
Glib::RefPtr< const Gdk::Paintable > | get_icon_paintable (IconPosition icon_pos=IconPosition::PRIMARY) const
| Retrieves the `Gdk::Paintable` used for the icon. More...
Glib::ustring | get_icon_name (IconPosition icon_pos=IconPosition::PRIMARY) const
| Retrieves the icon name used for the icon. More...
Glib::RefPtr< Gio::Icon > | get_icon_gicon (IconPosition icon_pos=IconPosition::PRIMARY)
| Retrieves the `Gio::Icon` used for the icon. More...
Glib::RefPtr< const Gio::Icon > | get_icon_gicon (IconPosition icon_pos=IconPosition::PRIMARY) const
| Retrieves the `Gio::Icon` used for the icon. More...
void | set_icon_activatable (bool activatable=true, IconPosition icon_pos=IconPosition::PRIMARY)
| Sets whether the icon is activatable. More...
bool | get_icon_activatable (IconPosition icon_pos=IconPosition::PRIMARY) const
| Returns whether the icon is activatable. More...
void | set_icon_sensitive (IconPosition icon_pos=IconPosition::PRIMARY, bool sensitive=true)
| Sets the sensitivity for the specified icon. More...
bool | get_icon_sensitive (IconPosition icon_pos=IconPosition::PRIMARY)
| Returns whether the icon appears sensitive or insensitive. More...
int | get_icon_at_pos (int x, int y) const
| Finds the icon at the given position and return its index. More...
void | set_icon_tooltip_text (const Glib::ustring & tooltip, IconPosition icon_pos=IconPosition::PRIMARY)
| Sets tooltip as the contents of the tooltip for the icon at the specified position. More...
Glib::ustring | get_icon_tooltip_text (IconPosition icon_pos=IconPosition::PRIMARY) const
| Gets the contents of the tooltip on the icon at the specified position in entry. More...
void | set_icon_tooltip_markup (const Glib::ustring & tooltip, IconPosition icon_pos=IconPosition::PRIMARY)
| Sets tooltip as the contents of the tooltip for the icon at the specified position. More...
Glib::ustring | get_icon_tooltip_markup (IconPosition icon_pos=IconPosition::PRIMARY) const
| Gets the contents of the tooltip on the icon at the specified position in entry. More...
void | set_icon_drag_source (const Glib::RefPtr< Gdk::ContentProvider > & provider, Gdk::DragAction actions=Gdk::DragAction::COPY, IconPosition icon_pos=IconPosition::PRIMARY)
| Sets up the icon at the given position as drag source. More...
Gdk::Rectangle | get_icon_area (IconPosition icon_pos=IconPosition::PRIMARY) const
| Returns the area where entry's icon at icon_pos is drawn. More...
int | get_current_icon_drag_source ()
| Returns the index of the icon which is the source of the current DND operation, or -1. More...
void | reset_im_context ()
| Reset the input method context of the entry if needed. More...
void | set_input_purpose (InputPurpose purpose)
| Sets the input purpose which can be used by input methods to adjust their behavior. More...
InputPurpose | get_input_purpose () const
| Gets the input purpose of the `Gtk::Entry`. More...
void | set_input_hints (InputHints hints)
| Set additional hints which allow input methods to fine-tune their behavior. More...
InputHints | get_input_hints () const
| Gets the input hints of this `Gtk::Entry`. More...
void | set_attributes (Pango::AttrList & attrs)
| Sets a `Pango::AttrList`. More...
Pango::AttrList | get_attributes () const
| Gets the attribute list of the `Gtk::Entry`. More...
void | set_tabs (const Pango::TabArray & tabs)
| Sets a `Pango::TabArray`. More...
Pango::TabArray | get_tabs () const
| Gets the tabstops of the `Gtk::Entry`. More...
void | grab_focus_without_selecting ()
| Causes entry to have keyboard focus. More...
void | set_extra_menu (const Glib::RefPtr< Gio::MenuModel > & model)
| Sets a menu model to add when constructing the context menu for entry. More...
Glib::RefPtr< Gio::MenuModel > | get_extra_menu ()
| Gets the menu model set with set_extra_menu(). More...
Glib::RefPtr< const Gio::MenuModel > | get_extra_menu () const
| Gets the menu model set with set_extra_menu(). More...
Glib::SignalProxy< void()> | signal_activate ()
Glib::SignalProxy< void(IconPosition)> | signal_icon_release ()
Glib::SignalProxy< void(IconPosition)> | signal_icon_press ()
Glib::PropertyProxy< Glib::RefPtr< EntryBuffer > > | property_buffer ()
| The buffer object which actually stores the text. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< EntryBuffer > > | property_buffer () const
| The buffer object which actually stores the text. More...
Glib::PropertyProxy< int > | property_max_length ()
| Maximum number of characters for this entry. More...
Glib::PropertyProxy_ReadOnly< int > | property_max_length () const
| Maximum number of characters for this entry. More...
Glib::PropertyProxy< bool > | property_visibility ()
| Whether the entry should show the “invisible char” instead of the actual text (“password mode”). More...
Glib::PropertyProxy_ReadOnly< bool > | property_visibility () const
| Whether the entry should show the “invisible char” instead of the actual text (“password mode”). More...
Glib::PropertyProxy< bool > | property_has_frame ()
| Whether the entry should draw a frame. More...
Glib::PropertyProxy_ReadOnly< bool > | property_has_frame () const
| Whether the entry should draw a frame. More...
Glib::PropertyProxy< gunichar > | property_invisible_char ()
| The character to use when masking entry contents (“password mode”). More...
Glib::PropertyProxy_ReadOnly< gunichar > | property_invisible_char () const
| The character to use when masking entry contents (“password mode”). More...
Glib::PropertyProxy< bool > | property_invisible_char_set ()
| Whether the invisible char has been set for the `Gtk::Entry`. More...
Glib::PropertyProxy_ReadOnly< bool > | property_invisible_char_set () const
| Whether the invisible char has been set for the `Gtk::Entry`. More...
Glib::PropertyProxy< bool > | property_activates_default ()
| Whether to activate the default widget when Enter is pressed. More...
Glib::PropertyProxy_ReadOnly< bool > | property_activates_default () const
| Whether to activate the default widget when Enter is pressed. More...
Glib::PropertyProxy_ReadOnly< int > | property_scroll_offset () const
| Number of pixels of the entry scrolled off the screen to the left. More...
Glib::PropertyProxy< bool > | property_truncate_multiline ()
| When `true`, pasted multi-line text is truncated to the first line. More...
Glib::PropertyProxy_ReadOnly< bool > | property_truncate_multiline () const
| When `true`, pasted multi-line text is truncated to the first line. More...
Glib::PropertyProxy< bool > | property_overwrite_mode ()
| If text is overwritten when typing in the `Gtk::Entry`. More...
Glib::PropertyProxy_ReadOnly< bool > | property_overwrite_mode () const
| If text is overwritten when typing in the `Gtk::Entry`. More...
Glib::PropertyProxy_ReadOnly< guint > | property_text_length () const
| The length of the text in the `Gtk::Entry`. More...
Glib::PropertyProxy< double > | property_progress_fraction ()
| The current fraction of the task that's been completed. More...
Glib::PropertyProxy_ReadOnly< double > | property_progress_fraction () const
| The current fraction of the task that's been completed. More...
Glib::PropertyProxy< double > | property_progress_pulse_step ()
| The fraction of total entry width to move the progress bouncing block for each pulse. More...
Glib::PropertyProxy_ReadOnly< double > | property_progress_pulse_step () const
| The fraction of total entry width to move the progress bouncing block for each pulse. More...
Glib::PropertyProxy< Glib::RefPtr< Gdk::Paintable > > | property_primary_icon_paintable ()
| A `Gdk::Paintable` to use as the primary icon for the entry. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gdk::Paintable > > | property_primary_icon_paintable () const
| A `Gdk::Paintable` to use as the primary icon for the entry. More...
Glib::PropertyProxy< Glib::RefPtr< Gdk::Paintable > > | property_secondary_icon_paintable ()
| A `Gdk::Paintable` to use as the secondary icon for the entry. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gdk::Paintable > > | property_secondary_icon_paintable () const
| A `Gdk::Paintable` to use as the secondary icon for the entry. More...
Glib::PropertyProxy< Glib::ustring > | property_primary_icon_name ()
| The icon name to use for the primary icon for the entry. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_primary_icon_name () const
| The icon name to use for the primary icon for the entry. More...
Glib::PropertyProxy< Glib::ustring > | property_secondary_icon_name ()
| The icon name to use for the secondary icon for the entry. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_secondary_icon_name () const
| The icon name to use for the secondary icon for the entry. More...
Glib::PropertyProxy< Glib::RefPtr< Gio::Icon > > | property_primary_icon_gicon ()
| The `Gio::Icon` to use for the primary icon for the entry. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gio::Icon > > | property_primary_icon_gicon () const
| The `Gio::Icon` to use for the primary icon for the entry. More...
Glib::PropertyProxy< Glib::RefPtr< Gio::Icon > > | property_secondary_icon_gicon ()
| The `Gio::Icon` to use for the secondary icon for the entry. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gio::Icon > > | property_secondary_icon_gicon () const
| The `Gio::Icon` to use for the secondary icon for the entry. More...
Glib::PropertyProxy_ReadOnly< Image::Type > | property_primary_icon_storage_type () const
| The representation which is used for the primary icon of the entry. More...
Glib::PropertyProxy_ReadOnly< Image::Type > | property_secondary_icon_storage_type () const
| The representation which is used for the secondary icon of the entry. More...
Glib::PropertyProxy< bool > | property_primary_icon_activatable ()
| Whether the primary icon is activatable. More...
Glib::PropertyProxy_ReadOnly< bool > | property_primary_icon_activatable () const
| Whether the primary icon is activatable. More...
Glib::PropertyProxy< bool > | property_secondary_icon_activatable ()
| Whether the secondary icon is activatable. More...
Glib::PropertyProxy_ReadOnly< bool > | property_secondary_icon_activatable () const
| Whether the secondary icon is activatable. More...
Glib::PropertyProxy< bool > | property_primary_icon_sensitive ()
| Whether the primary icon is sensitive. More...
Glib::PropertyProxy_ReadOnly< bool > | property_primary_icon_sensitive () const
| Whether the primary icon is sensitive. More...
Glib::PropertyProxy< bool > | property_secondary_icon_sensitive ()
| Whether the secondary icon is sensitive. More...
Glib::PropertyProxy_ReadOnly< bool > | property_secondary_icon_sensitive () const
| Whether the secondary icon is sensitive. More...
Glib::PropertyProxy< bool > | property_primary_icon_tooltip_text ()
| The contents of the tooltip on the primary icon. More...
Glib::PropertyProxy_ReadOnly< bool > | property_primary_icon_tooltip_text () const
| The contents of the tooltip on the primary icon. More...
Glib::PropertyProxy< bool > | property_secondary_icon_tooltip_text ()
| The contents of the tooltip on the secondary icon. More...
Glib::PropertyProxy_ReadOnly< bool > | property_secondary_icon_tooltip_text () const
| The contents of the tooltip on the secondary icon. More...
Glib::PropertyProxy< bool > | property_primary_icon_tooltip_markup ()
| The contents of the tooltip on the primary icon, with markup. More...
Glib::PropertyProxy_ReadOnly< bool > | property_primary_icon_tooltip_markup () const
| The contents of the tooltip on the primary icon, with markup. More...
Glib::PropertyProxy< bool > | property_secondary_icon_tooltip_markup ()
| The contents of the tooltip on the secondary icon, with markup. More...
Glib::PropertyProxy_ReadOnly< bool > | property_secondary_icon_tooltip_markup () const
| The contents of the tooltip on the secondary icon, with markup. More...
Glib::PropertyProxy< Glib::ustring > | property_im_module ()
| Which IM (input method) module should be used for this entry. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_im_module () const
| Which IM (input method) module should be used for this entry. More...
Glib::PropertyProxy< Glib::ustring > | property_placeholder_text ()
| The text that will be displayed in the `Gtk::Entry` when it is empty and unfocused. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_placeholder_text () const
| The text that will be displayed in the `Gtk::Entry` when it is empty and unfocused. More...
Glib::PropertyProxy< Glib::RefPtr< EntryCompletion > > | property_completion ()
| The auxiliary completion object to use with the entry. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< EntryCompletion > > | property_completion () const
| The auxiliary completion object to use with the entry. More...
Glib::PropertyProxy< InputPurpose > | property_input_purpose ()
| The purpose of this text field. More...
Glib::PropertyProxy_ReadOnly< InputPurpose > | property_input_purpose () const
| The purpose of this text field. More...
Glib::PropertyProxy< InputHints > | property_input_hints ()
| Additional hints that allow input methods to fine-tune their behavior. More...
Glib::PropertyProxy_ReadOnly< InputHints > | property_input_hints () const
| Additional hints that allow input methods to fine-tune their behavior. More...
Glib::PropertyProxy< Pango::AttrList > | property_attributes ()
| A list of Pango attributes to apply to the text of the entry. More...
Glib::PropertyProxy_ReadOnly< Pango::AttrList > | property_attributes () const
| A list of Pango attributes to apply to the text of the entry. More...
Glib::PropertyProxy< Pango::TabArray > | property_tabs ()
Glib::PropertyProxy_ReadOnly< Pango::TabArray > | property_tabs () const
Glib::PropertyProxy< Glib::RefPtr< Gio::MenuModel > > | property_extra_menu ()
| A menu model whose contents will be appended to the context menu. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gio::MenuModel > > | property_extra_menu () const
| A menu model whose contents will be appended to the context menu. More...
Glib::PropertyProxy< bool > | property_show_emoji_icon ()
| Default value: `false` More...
Glib::PropertyProxy_ReadOnly< bool > | property_show_emoji_icon () const
| Default value: `false` More...
Glib::PropertyProxy< bool > | property_enable_emoji_completion ()
| Whether to suggest Emoji replacements for :-delimited names like `:heart:`. More...
Glib::PropertyProxy_ReadOnly< bool > | property_enable_emoji_completion () const
| Whether to suggest Emoji replacements for :-delimited names like `:heart:`. More...
Public Member Functions inherited from Gtk::Widget
| Widget (Widget && src) noexcept
Widget & | operator= (Widget && src) noexcept
| Widget (const Widget &)=delete
Widget & | operator= (const Widget &)=delete
| ~Widget () noexcept override
| Destroys the widget. More...
GtkWidget * | gobj ()
| Provides access to the underlying C GObject. More...
const GtkWidget * | gobj () const
| Provides access to the underlying C GObject. More...
Glib::RefPtr< ConstraintTarget > | make_refptr_constrainttarget ()
| Converts this widget to a reference counted Gtk::ConstraintTarget. More...
Glib::RefPtr< const ConstraintTarget > | make_refptr_constrainttarget () const
| Converts this widget to a reference counted Gtk::ConstraintTarget. More...
void | show ()
| Flags a widget to be displayed. More...
void | hide ()
| Reverses the effects of show(). More...
void | queue_draw ()
| Schedules this widget to be redrawn in the paint phase of the current or the next frame. More...
void | queue_resize ()
| Flags a widget to have its size renegotiated. More...
void | queue_allocate ()
| Flags the widget for a rerun of the size_allocate_vfunc() function. More...
void | size_allocate (const Allocation & allocation, int baseline)
| Allocates widget with a transformation that translates the origin to the position in allocation. More...
SizeRequestMode | get_request_mode () const
| Gets whether the widget prefers a height-for-width layout or a width-for-height layout. More...
void | measure (Orientation orientation, int for_size, int & minimum, int & natural, int & minimum_baseline, int & natural_baseline) const
| Measures widget in the orientation orientation and for the given for_size. More...
void | get_preferred_size (Requisition & minimum_size, Requisition & natural_size) const
| Retrieves the minimum and natural size of a widget, taking into account the widget’s preference for height-for-width management. More...
void | set_layout_manager (const Glib::RefPtr< LayoutManager > & layout_manager)
| Sets the layout manager delegate instance that provides an implementation for measuring and allocating the children of widget. More...
void | unset_layout_manager ()
| Undoes the effect of a previous call to set_layout_manager(). More...
Glib::RefPtr< LayoutManager > | get_layout_manager ()
| Retrieves the layout manager used by widget. More...
Glib::RefPtr< const LayoutManager > | get_layout_manager () const
| Retrieves the layout manager used by widget. More...
bool | mnemonic_activate (bool group_cycling)
| Emits the signal_mnemonic_activate() signal. More...
bool | activate ()
| For widgets that can be “activated” (buttons, menu items, etc.) this function activates them. More...
void | set_can_focus (bool can_focus=true)
| Specifies whether the input focus can enter the widget or any of its children. More...
bool | get_can_focus () const
| Determines whether the input focus can enter widget or any of its children. More...
void | set_focusable (bool focusable=true)
| Specifies whether widget can own the input focus. More...
bool | get_focusable () const
| Determines whether widget can own the input focus. More...
bool | has_focus () const
| Determines if the widget has the global input focus. More...
bool | is_focus () const
| Determines if the widget is the focus widget within its toplevel. More...
bool | has_visible_focus () const
| Determines if the widget should show a visible indication that it has the global input focus. More...
bool | grab_focus ()
| Causes widget to have the keyboard focus for the `Gtk::Window` it's inside. More...
void | set_focus_on_click (bool focus_on_click=true)
| Sets whether the widget should grab focus when it is clicked with the mouse. More...
bool | get_focus_on_click () const
| Returns whether the widget should grab focus when it is clicked with the mouse. More...
void | set_can_target (bool can_target=true)
| Sets whether widget can be the target of pointer events. More...
bool | get_can_target () const
| Queries whether widget can be the target of pointer events. More...
bool | has_default () const
| Determines whether widget is the current default widget within its toplevel. More...
void | set_receives_default (bool receives_default=true)
| Specifies whether widget will be treated as the default widget within its toplevel when it has the focus, even if another widget is the default. More...
bool | get_receives_default () const
| Determines whether widget is always treated as the default widget within its toplevel when it has the focus, even if another widget is the default. More...
void | set_name (const Glib::ustring & name)
| Sets a widgets name. More...
void | unset_name ()
Glib::ustring | get_name () const
| Retrieves the name of a widget. More...
void | set_state_flags (StateFlags flags, bool clear=true)
| Turns on flag values in the current widget state. More...
void | unset_state_flags (StateFlags flags)
| Turns off flag values for the current widget state. More...
StateFlags | get_state_flags () const
| Returns the widget state as a flag set. More...
void | set_sensitive (bool sensitive=true)
| Sets the sensitivity of a widget. More...
bool | get_sensitive () const
| Returns the widget’s sensitivity. More...
bool | is_sensitive () const
| Returns the widget’s effective sensitivity. More...
void | set_visible (bool visible=true)
| Sets the visibility state of widget. More...
bool | get_visible () const
| Determines whether the widget is visible. More...
bool | is_visible () const
| Determines whether the widget and all its parents are marked as visible. More...
bool | is_drawable () const
| Determines whether widget can be drawn to. More...
bool | get_realized () const
| Determines whether widget is realized. More...
bool | get_mapped () const
| Whether the widget is mapped. More...
void | set_child_visible (bool visible=true)
| Sets whether widget should be mapped along with its parent. More...
bool | get_child_visible () const
| Gets the value set with set_child_visible(). More...
int | get_allocated_width () const
| Returns the width that has currently been allocated to widget. More...
int | get_allocated_height () const
| Returns the height that has currently been allocated to widget. More...
int | get_allocated_baseline () const
| Returns the baseline that has currently been allocated to widget. More...
Allocation | get_allocation () const
| Retrieves the widget’s location. More...
std::optional< Gdk::Graphene::Rect > | compute_bounds (const Widget & target) const
| Computes the bounds for the widget in the coordinate space of target. More...
std::optional< Gdk::Graphene::Point > | compute_point (const Widget & target, const Gdk::Graphene::Point & point) const
| Translates the given point in the widget's coordinates to coordinates relative to target’s coordinate system. More...
int | get_width () const
| Returns the content width of the widget. More...
int | get_height () const
| Returns the content height of the widget. More...
int | get_baseline () const
| Returns the baseline that has currently been allocated to widget. More...
int | get_size (Orientation orientation) const
| Returns the content width or height of the widget. More...
Widget * | get_parent ()
| Returns the parent widget of widget. More...
const Widget * | get_parent () const
| Returns the parent widget of widget. More...
Root * | get_root ()
| Returns the `Gtk::Root` widget of widget. More...
const Root * | get_root () const
| Returns the `Gtk::Root` widget of widget. More...
Native * | get_native ()
| Returns the nearest `Gtk::Native` ancestor of widget. More...
const Native * | get_native () const
| Returns the nearest `Gtk::Native` ancestor of widget. More...
bool | child_focus (DirectionType direction)
| Called by widgets as the user moves around the window using keyboard shortcuts. More...
bool | keynav_failed (DirectionType direction)
| Emits the `::keynav-failed` signal on the widget. More...
void | error_bell ()
| Notifies the user about an input-related error on this widget. More...
void | set_size_request (int width=-1, int height=-1)
| Sets the minimum size of a widget. More...
void | get_size_request (int & width, int & height) const
| Gets the size request that was explicitly set for the widget using set_size_request(). More...
void | set_opacity (double opacity)
| Request the widget to be rendered partially transparent. More...
double | get_opacity () const
| #Fetches the requested opacity for this widget. More...
void | set_overflow (Overflow overflow)
| Sets how widget treats content that is drawn outside the widget's content area. More...
Overflow | get_overflow () const
| Returns the widget’s overflow value. More...
Widget * | get_ancestor (GType widget_type)
| Gets the first ancestor of widget with type widget_type. More...
const Widget * | get_ancestor (GType widget_type) const
| Gets the first ancestor of widget with type widget_type. More...
int | get_scale_factor () const
| Retrieves the internal scale factor that maps from window coordinates to the actual device pixels. More...
Glib::RefPtr< Gdk::Display > | get_display ()
| Get the `Gdk::Display` for the toplevel window associated with this widget. More...
Glib::RefPtr< const Gdk::Display > | get_display () const
| Get the `Gdk::Display` for the toplevel window associated with this widget. More...
Glib::RefPtr< Settings > | get_settings ()
| Gets the settings object holding the settings used for this widget. More...
Glib::RefPtr< Gdk::Clipboard > | get_clipboard ()
| Gets the clipboard object for widget. More...
Glib::RefPtr< const Gdk::Clipboard > | get_clipboard () const
| Gets the clipboard object for widget. More...
Glib::RefPtr< Gdk::Clipboard > | get_primary_clipboard ()
| Gets the primary clipboard of widget. More...
Glib::RefPtr< const Gdk::Clipboard > | get_primary_clipboard () const
| Gets the primary clipboard of widget. More...
bool | get_hexpand () const
| Gets whether the widget would like any available extra horizontal space. More...
void | set_hexpand (bool expand=true)
| Sets whether the widget would like any available extra horizontal space. More...
bool | get_hexpand_set () const
| Gets whether set_hexpand() has been used to explicitly set the expand flag on this widget. More...
void | set_hexpand_set (bool set=true)
| Sets whether the hexpand flag will be used. More...
bool | get_vexpand () const
| Gets whether the widget would like any available extra vertical space. More...
void | set_vexpand (bool expand=true)
| Sets whether the widget would like any available extra vertical space. More...
bool | get_vexpand_set () const
| Gets whether set_vexpand() has been used to explicitly set the expand flag on this widget. More...
void | set_vexpand_set (bool set=true)
| Sets whether the vexpand flag will be used. More...
bool | compute_expand (Orientation orientation)
| Computes whether a container should give this widget extra space when possible. More...
void | set_expand (bool expand=true)
| Sets whether the widget would like any available extra space in both directions. More...
Align | get_halign () const
| Gets the horizontal alignment of widget. More...
void | set_halign (Align align)
| Sets the horizontal alignment of widget. More...
Align | get_valign () const
| Gets the vertical alignment of widget. More...
void | set_valign (Align align)
| Sets the vertical alignment of widget. More...
int | get_margin_start () const
| Gets the start margin of widget. More...
void | set_margin_start (int margin)
| Sets the start margin of widget. More...
int | get_margin_end () const
| Gets the end margin of widget. More...
void | set_margin_end (int margin)
| Sets the end margin of widget. More...
int | get_margin_top () const
| Gets the top margin of widget. More...
void | set_margin_top (int margin)
| Sets the top margin of widget. More...
int | get_margin_bottom () const
| Gets the bottom margin of widget. More...
void | set_margin_bottom (int margin)
| Sets the bottom margin of widget. More...
void | set_margin (int margin)
| Set all 4 margins to the same value. More...
bool | is_ancestor (Widget & ancestor) const
| Determines whether widget is somewhere inside ancestor, possibly with intermediate containers. More...
bool | translate_coordinates (Widget & dest_widget, double src_x, double src_y, double & dest_x, double & dest_y)
| Translate coordinates relative to src_widget’s allocation to coordinates relative to dest_widget’s allocations. More...
bool | contains (double x, double y) const
| Tests if the point at ( x, y) is contained in widget. More...
Widget * | pick (double x, double y, PickFlags flags=PickFlags::DEFAULT)
| Finds the descendant of widget closest to the point ( x, y). More...
const Widget * | pick (double x, double y, PickFlags flags=PickFlags::DEFAULT) const
| Finds the descendant of widget closest to the point ( x, y). More...
void | add_controller (const Glib::RefPtr< EventController > & controller)
| Adds controller to widget so that it will receive events. More...
void | remove_controller (const Glib::RefPtr< EventController > & controller)
| Removes controller from widget, so that it doesn't process events anymore. More...
Glib::RefPtr< Pango::Context > | create_pango_context ()
| Creates a new `Pango::Context` with the appropriate font map, font options, font description, and base direction for drawing text for this widget. More...
Glib::RefPtr< Pango::Context > | get_pango_context ()
| Gets a `Pango::Context` with the appropriate font map, font description, and base direction for this widget. More...
void | set_font_options (const Cairo::FontOptions & options)
| Sets the `cairo_font_options_t` used for Pango rendering in this widget. More...
void | unset_font_options ()
| Undoes the effect of previous calls to set_font_options(). More...
Cairo::FontOptions | get_font_options () const
| Returns the `cairo_font_options_t` of widget. More...
Glib::RefPtr< Pango::Layout > | create_pango_layout (const Glib::ustring & text)
| Creates a new `Pango::Layout` with the appropriate font map, font description, and base direction for drawing text for this widget. More...
void | set_direction (TextDirection dir)
| Sets the reading direction on a particular widget. More...
TextDirection | get_direction () const
| Gets the reading direction for a particular widget. More...
void | set_cursor (const Glib::RefPtr< Gdk::Cursor > & cursor)
| Sets the cursor to be shown when pointer devices point towards widget. More...
void | set_cursor (const Glib::ustring & name={})
| Sets a named cursor to be shown when pointer devices point towards the widget. More...
Glib::RefPtr< Gdk::Cursor > | get_cursor ()
| Queries the cursor set on widget. More...
Glib::RefPtr< const Gdk::Cursor > | get_cursor () const
| Queries the cursor set on widget. More...
std::vector< Widget * > | list_mnemonic_labels ()
| Returns the widgets for which this widget is the target of a mnemonic. More...
std::vector< const Widget * > | list_mnemonic_labels () const
| Returns the widgets for which this widget is the target of a mnemonic. More...
void | add_mnemonic_label (Widget & label)
| Adds a widget to the list of mnemonic labels for this widget. More...
void | remove_mnemonic_label (Widget & label)
| Removes a widget from the list of mnemonic labels for this widget. More...
bool | drag_check_threshold (int start_x, int start_y, int current_x, int current_y)
| Checks to see if a drag movement has passed the GTK drag threshold. More...
Glib::RefPtr< Gdk::FrameClock > | get_frame_clock ()
| Obtains the frame clock for a widget. More...
Glib::RefPtr< const Gdk::FrameClock > | get_frame_clock () const
| Obtains the frame clock for a widget. More...
void | set_parent (Widget & parent)
| Sets parent as the parent widget of widget. More...
void | unparent ()
| Dissociate widget from its parent. More...
void | map ()
| Causes a widget to be mapped if it isn’t already. More...
void | unmap ()
| Causes a widget to be unmapped if it’s currently mapped. More...
void | trigger_tooltip_query ()
| Triggers a tooltip query on the display where the toplevel of widget is located. More...
void | set_tooltip_text (const Glib::ustring & text)
| Sets text as the contents of the tooltip. More...
Glib::ustring | get_tooltip_text () const
| Gets the contents of the tooltip for widget. More...
void | set_tooltip_markup (const Glib::ustring & markup)
| Sets markup as the contents of the tooltip, which is marked up with the Pango text markup language. More...
Glib::ustring | get_tooltip_markup () const
| Gets the contents of the tooltip for widget. More...
void | set_has_tooltip (bool has_tooltip=TRUE)
| Sets the `has-tooltip` property on widget to has_tooltip. More...
bool | get_has_tooltip () const
| Returns the current value of the `has-tooltip` property. More...
bool | in_destruction () const
| Returns whether the widget is currently being destroyed. More...
Glib::RefPtr< StyleContext > | get_style_context ()
| Returns the style context associated to widget. More...
Glib::RefPtr< const StyleContext > | get_style_context () const
| Returns the style context associated to widget. More...
guint | add_tick_callback (const SlotTick & slot)
| Queues an animation frame update and adds a callback to be called before each frame. More...
void | remove_tick_callback (guint id)
| Removes a tick callback previously registered with add_tick_callback(). More...
void | insert_action_group (const Glib::ustring & name, const Glib::RefPtr< Gio::ActionGroup > & group)
| Inserts group into widget. More...
void | remove_action_group (const Glib::ustring & name)
| Removes a group from the widget. More...
bool | activate_action (const Glib::ustring & name, const Glib::VariantBase & args={})
| Looks up the action in the action groups associated with the widget and its ancestors, and activates it. More...
void | activate_default ()
| Activates the `default.activate` action from widget. More...
void | set_font_map (const Glib::RefPtr< Pango::FontMap > & font_map)
| Sets the font map to use for Pango rendering. More...
Glib::RefPtr< Pango::FontMap > | get_font_map ()
| Gets the font map of widget. More...
Glib::RefPtr< const Pango::FontMap > | get_font_map () const
| Gets the font map of widget. More...
Widget * | get_first_child ()
| Returns the widget’s first child. More...
const Widget * | get_first_child () const
| Returns the widget’s first child. More...
Widget * | get_last_child ()
| Returns the widget’s last child. More...
const Widget * | get_last_child () const
| Returns the widget’s last child. More...
Widget * | get_next_sibling ()
| Returns the widget’s next sibling. More...
const Widget * | get_next_sibling () const
| Returns the widget’s next sibling. More...
Widget * | get_prev_sibling ()
| Returns the widget’s previous sibling. More...
const Widget * | get_prev_sibling () const
| Returns the widget’s previous sibling. More...
Glib::RefPtr< Gio::ListModel > | observe_children ()
| Returns a `Gio::ListModel` to track the children of widget. More...
Glib::RefPtr< const Gio::ListModel > | observe_children () const
| Returns a `Gio::ListModel` to track the children of widget. More...
Glib::RefPtr< Gio::ListModel > | observe_controllers ()
| Returns a `Gio::ListModel` to track the Gtk::EventControllers of widget. More...
Glib::RefPtr< const Gio::ListModel > | observe_controllers () const
| Returns a `Gio::ListModel` to track the Gtk::EventControllers of widget. More...
void | insert_after (Widget & parent, const Widget & previous_sibling)
| Inserts the Widget into the child widget list of parent after previous_sibling. More...
void | insert_before (Widget & parent, const Widget & next_sibling)
| Inserts the Widget into the child widget list of parent before next_sibling. More...
void | insert_at_start (Widget & parent)
| Inserts the Widget at the beginning of the child widget list of parent. More...
void | insert_at_end (Widget & parent)
| Inserts the Widget at the end of the child widget list of parent. More...
void | snapshot_child (Widget & child, const Glib::RefPtr< Gtk::Snapshot > & snapshot)
| Snapshot the a child of widget. More...
bool | should_layout () const
| Returns whether widget should contribute to the measuring and allocation of its parent. More...
Glib::ustring | get_css_name () const
| Returns the CSS name that is used for self. More...
void | add_css_class (const Glib::ustring & css_class)
| Adds a style class to widget. More...
void | remove_css_class (const Glib::ustring & css_class)
| Removes a style from widget. More...
bool | has_css_class (const Glib::ustring & css_class) const
| Returns whether css_class is currently applied to widget. More...
std::vector< Glib::ustring > | get_css_classes () const
| Returns the list of style classes applied to widget. More...
void | set_css_classes (const std::vector< Glib::ustring > & classes)
| Clear all style classes applied to widget and replace them with classes. More...
Gdk::RGBA | get_color () const
| Gets the current foreground color for the widget's CSS style. More...
Glib::SignalProxy< void()> | signal_show ()
Glib::SignalProxy< void()> | signal_hide ()
Glib::SignalProxy< void()> | signal_map ()
| Emitted on mapping of a widget to the screen. More...
Glib::SignalProxy< void()> | signal_unmap ()
Glib::SignalProxy< void()> | signal_realize ()
| Emitted on realization of a widget. More...
Glib::SignalProxy< void()> | signal_unrealize ()
Glib::SignalProxy< void(Gtk::StateFlags)> | signal_state_flags_changed ()
Glib::SignalProxy< void(TextDirection)> | signal_direction_changed ()
Glib::SignalProxy< bool(bool)> | signal_mnemonic_activate ()
Glib::SignalProxy< void()> | signal_destroy ()
| Emitted during the dispose phase. More...
Glib::SignalProxy< bool(int, int, bool, const Glib::RefPtr< Tooltip > &)> | signal_query_tooltip ()
Glib::PropertyProxy< Glib::ustring > | property_name ()
| The name of the widget. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_name () const
| The name of the widget. More...
Glib::PropertyProxy_ReadOnly< Widget * > | property_parent () const
| The parent widget of this widget. More...
Glib::PropertyProxy_ReadOnly< Root * > | property_root () const
| The `Gtk::Root` widget of the widget tree containing this widget. More...
Glib::PropertyProxy< int > | property_width_request ()
| Override for width request of the widget. More...
Glib::PropertyProxy_ReadOnly< int > | property_width_request () const
| Override for width request of the widget. More...
Glib::PropertyProxy< int > | property_height_request ()
| Override for height request of the widget. More...
Glib::PropertyProxy_ReadOnly< int > | property_height_request () const
| Override for height request of the widget. More...
Glib::PropertyProxy< bool > | property_visible ()
| Whether the widget is visible. More...
Glib::PropertyProxy_ReadOnly< bool > | property_visible () const
| Whether the widget is visible. More...
Glib::PropertyProxy< bool > | property_sensitive ()
| Whether the widget responds to input. More...
Glib::PropertyProxy_ReadOnly< bool > | property_sensitive () const
| Whether the widget responds to input. More...
Glib::PropertyProxy< bool > | property_can_focus ()
| Whether the widget or any of its descendents can accept the input focus. More...
Glib::PropertyProxy_ReadOnly< bool > | property_can_focus () const
| Whether the widget or any of its descendents can accept the input focus. More...
Glib::PropertyProxy_ReadOnly< bool > | property_has_focus () const
| Whether the widget has the input focus. More...
Glib::PropertyProxy< bool > | property_can_target ()
| Whether the widget can receive pointer events. More...
Glib::PropertyProxy_ReadOnly< bool > | property_can_target () const
| Whether the widget can receive pointer events. More...
Glib::PropertyProxy< bool > | property_focus_on_click ()
| Whether the widget should grab focus when it is clicked with the mouse. More...
Glib::PropertyProxy_ReadOnly< bool > | property_focus_on_click () const
| Whether the widget should grab focus when it is clicked with the mouse. More...
Glib::PropertyProxy< bool > | property_focusable ()
| Whether this widget itself will accept the input focus. More...
Glib::PropertyProxy_ReadOnly< bool > | property_focusable () const
| Whether this widget itself will accept the input focus. More...
Glib::PropertyProxy_ReadOnly< bool > | property_has_default () const
| Whether the widget is the default widget. More...
Glib::PropertyProxy< bool > | property_receives_default ()
| Whether the widget will receive the default action when it is focused. More...
Glib::PropertyProxy_ReadOnly< bool > | property_receives_default () const
| Whether the widget will receive the default action when it is focused. More...
Glib::PropertyProxy< Glib::RefPtr< Gdk::Cursor > > | property_cursor ()
| The cursor used by widget. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gdk::Cursor > > | property_cursor () const
| The cursor used by widget. More...
Glib::PropertyProxy< bool > | property_has_tooltip ()
| Enables or disables the emission of the signal_query_tooltip() signal on widget. More...
Glib::PropertyProxy_ReadOnly< bool > | property_has_tooltip () const
| Enables or disables the emission of the signal_query_tooltip() signal on widget. More...
Glib::PropertyProxy< Glib::ustring > | property_tooltip_markup ()
| Sets the text of tooltip to be the given string, which is marked up with Pango markup. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_tooltip_markup () const
| Sets the text of tooltip to be the given string, which is marked up with Pango markup. More...
Glib::PropertyProxy< Glib::ustring > | property_tooltip_text ()
| Sets the text of tooltip to be the given string. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_tooltip_text () const
| Sets the text of tooltip to be the given string. More...
Glib::PropertyProxy< Align > | property_halign ()
| How to distribute horizontal space if widget gets extra space. More...
Glib::PropertyProxy_ReadOnly< Align > | property_halign () const
| How to distribute horizontal space if widget gets extra space. More...
Glib::PropertyProxy< Align > | property_valign ()
| How to distribute vertical space if widget gets extra space. More...
Glib::PropertyProxy_ReadOnly< Align > | property_valign () const
| How to distribute vertical space if widget gets extra space. More...
Glib::PropertyProxy< int > | property_margin_start ()
| Margin on start of widget, horizontally. More...
Glib::PropertyProxy_ReadOnly< int > | property_margin_start () const
| Margin on start of widget, horizontally. More...
Glib::PropertyProxy< int > | property_margin_end ()
| Margin on end of widget, horizontally. More...
Glib::PropertyProxy_ReadOnly< int > | property_margin_end () const
| Margin on end of widget, horizontally. More...
Glib::PropertyProxy< int > | property_margin_top ()
| Margin on top side of widget. More...
Glib::PropertyProxy_ReadOnly< int > | property_margin_top () const
| Margin on top side of widget. More...
Glib::PropertyProxy< int > | property_margin_bottom ()
| Margin on bottom side of widget. More...
Glib::PropertyProxy_ReadOnly< int > | property_margin_bottom () const
| Margin on bottom side of widget. More...
Glib::PropertyProxy< bool > | property_hexpand ()
| Whether to expand horizontally. More...
Glib::PropertyProxy_ReadOnly< bool > | property_hexpand () const
| Whether to expand horizontally. More...
Glib::PropertyProxy< bool > | property_hexpand_set ()
| Whether to use the `hexpand` property. More...
Glib::PropertyProxy_ReadOnly< bool > | property_hexpand_set () const
| Whether to use the `hexpand` property. More...
Glib::PropertyProxy< bool > | property_vexpand ()
| Whether to expand vertically. More...
Glib::PropertyProxy_ReadOnly< bool > | property_vexpand () const
| Whether to expand vertically. More...
Glib::PropertyProxy< bool > | property_vexpand_set ()
| Whether to use the `vexpand` property. More...
Glib::PropertyProxy_ReadOnly< bool > | property_vexpand_set () const
| Whether to use the `vexpand` property. More...
Glib::PropertyProxy< double > | property_opacity ()
| The requested opacity of the widget. More...
Glib::PropertyProxy_ReadOnly< double > | property_opacity () const
| The requested opacity of the widget. More...
Glib::PropertyProxy< Overflow > | property_overflow ()
| How content outside the widget's content area is treated. More...
Glib::PropertyProxy_ReadOnly< Overflow > | property_overflow () const
| How content outside the widget's content area is treated. More...
Glib::PropertyProxy_ReadOnly< int > | property_scale_factor () const
| The scale factor of the widget. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_css_name () const
| The name of this widget in the CSS tree. More...
Glib::PropertyProxy< std::vector< Glib::ustring > > | property_css_classes ()
| A list of css classes applied to this widget. More...
Glib::PropertyProxy_ReadOnly< std::vector< Glib::ustring > > | property_css_classes () const
| A list of css classes applied to this widget. More...
Glib::PropertyProxy< Glib::RefPtr< LayoutManager > > | property_layout_manager ()
| The `Gtk::LayoutManager` instance to use to compute the preferred size of the widget, and allocate its children. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< LayoutManager > > | property_layout_manager () const
| The `Gtk::LayoutManager` instance to use to compute the preferred size of the widget, and allocate its children. More...
Public Member Functions inherited from Gtk::Object
| Object (Object && src) noexcept
Object & | operator= (Object && src) noexcept
| ~Object () noexcept override
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data_with_c_callback (const Quark &key, void *data, GDestroyNotify notify)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
PropertyType | get_property (const Glib::ustring &property_name) const
sigc::connection | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void()> &slot)
sigc::connection | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void()> &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src) noexcept
| ~trackable ()
void | add_destroy_notify_callback (notifiable *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src) noexcept
void | remove_destroy_notify_callback (notifiable *data) const
Public Member Functions inherited from Gtk::Accessible
| Accessible (Accessible && src) noexcept
Accessible & | operator= (Accessible && src) noexcept
| ~Accessible () noexcept override
GtkAccessible * | gobj ()
| Provides access to the underlying C GObject. More...
const GtkAccessible * | gobj () const
| Provides access to the underlying C GObject. More...
Glib::RefPtr< ATContext > | get_at_context ()
| Retrieves the accessible implementation for the given `Gtk::Accessible`. More...
Glib::RefPtr< const ATContext > | get_at_context () const
| Retrieves the accessible implementation for the given `Gtk::Accessible`. More...
bool | get_platform_state (PlatformState state) const
| Query a platform state, such as focus. More...
Glib::RefPtr< Accessible > | get_accessible_parent ()
| Retrieves the accessible parent for an accessible object. More...
Glib::RefPtr< const Accessible > | get_accessible_parent () const
| Retrieves the accessible parent for an accessible object. More...
void | set_accessible_parent (const Glib::RefPtr< Accessible > & parent, const Glib::RefPtr< Accessible > & next_sibling)
| Sets the parent and sibling of an accessible object. More...
Glib::RefPtr< Accessible > | get_first_accessible_child ()
| Retrieves the first accessible child of an accessible object. More...
Glib::RefPtr< const Accessible > | get_first_accessible_child () const
| Retrieves the first accessible child of an accessible object. More...
Glib::RefPtr< Accessible > | get_next_accessible_sibling ()
| Retrieves the next accessible sibling of an accessible object. More...
Glib::RefPtr< const Accessible > | get_next_accessible_sibling () const
| Retrieves the next accessible sibling of an accessible object. More...
void | update_next_accessible_sibling (const Glib::RefPtr< Accessible > & new_sibling)
| Updates the next accessible sibling of self. More...
bool | get_bounds (int & x, int & y, int & width, int & height) const
| Queries the coordinates and dimensions of this accessible. More...
Role | get_accessible_role () const
| Retrieves the accessible role of an accessible object. More...
void | update_state (State state, const Glib::ValueBase & value)
| Updates an accessible state. More...
void | update_property (Property property, const Glib::ValueBase & value)
| Updates an accessible property. More...
void | update_relation (Relation relation, const Glib::ValueBase & value)
| Updates an accessible relation. More...
void | reset_state (State state)
| Resets the accessible state to its default value. More...
void | reset_property (Property property)
| Resets the accessible property to its default value. More...
void | reset_relation (Relation relation)
| Resets the accessible relation to its default value. More...
Glib::PropertyProxy< Role > | property_accessible_role ()
| The accessible role of the given `Gtk::Accessible` implementation. More...
Glib::PropertyProxy_ReadOnly< Role > | property_accessible_role () const
| The accessible role of the given `Gtk::Accessible` implementation. More...
Public Member Functions inherited from Glib::Interface
| Interface ()
| Interface (Interface &&src) noexcept
Interface & | operator= (Interface &&src) noexcept
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
| ~Interface () noexcept override
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const
Public Member Functions inherited from Gtk::Buildable
| Buildable (Buildable && src) noexcept
Buildable & | operator= (Buildable && src) noexcept
| ~Buildable () noexcept override
GtkBuildable * | gobj ()
| Provides access to the underlying C GObject. More...
const GtkBuildable * | gobj () const
| Provides access to the underlying C GObject. More...
Glib::ustring | get_buildable_id () const
| Gets the ID of the buildable object. More...
Public Member Functions inherited from Gtk::ConstraintTarget
| ConstraintTarget (ConstraintTarget && src) noexcept
ConstraintTarget & | operator= (ConstraintTarget && src) noexcept
| ~ConstraintTarget () noexcept override
GtkConstraintTarget * | gobj ()
| Provides access to the underlying C GObject. More...
const GtkConstraintTarget * | gobj () const
| Provides access to the underlying C GObject. More...
Public Member Functions inherited from Gtk::Editable
| Editable (Editable && src) noexcept
Editable & | operator= (Editable && src) noexcept
| ~Editable () noexcept override
GtkEditable * | gobj ()
| Provides access to the underlying C GObject. More...
const GtkEditable * | gobj () const
| Provides access to the underlying C GObject. More...
Glib::ustring | get_text () const
| Retrieves the contents of editable. More...
void | set_text (const Glib::ustring & text)
| Sets the text in the editable to the given value. More...
void | delete_selection ()
| Deletes the currently selected text of the editable. More...
void | set_editable (bool is_editable=true)
| Determines if the user can edit the text in the editable widget. More...
bool | get_editable () const
| Retrieves whether editable is editable. More...
void | insert_text (const Glib::ustring & new_text, int new_text_length, int & position)
| Inserts new_text_length bytes of new_text into the contents of the widget, at position position. More...
void | delete_text (int start_pos, int end_pos)
| Deletes a sequence of characters. More...
Glib::ustring | get_chars (int start_pos, int end_pos) const
| Retrieves a sequence of characters. More...
void | select_region (int start_pos, int end_pos)
| Selects a region of text. More...
bool | get_selection_bounds (int & start_pos, int & end_pos) const
| Retrieves the selection bound of the editable. More...
void | set_position (int position)
| Sets the cursor position in the editable to the given value. More...
int | get_position () const
| Retrieves the current position of the cursor relative to the start of the content of the editable. More...
float | get_alignment () const
| Gets the alignment of the editable. More...
void | set_alignment (float xalign)
| Sets the alignment for the contents of the editable. More...
int | get_width_chars () const
| Gets the number of characters of space reserved for the contents of the editable. More...
void | set_width_chars (int n_chars)
| Changes the size request of the editable to be about the right size for n_chars characters. More...
int | get_max_width_chars () const
| Retrieves the desired maximum width of editable, in characters. More...
void | set_max_width_chars (int n_chars)
| Sets the desired maximum width in characters of editable. More...
bool | get_enable_undo () const
| Gets if undo/redo actions are enabled for editable. More...
void | set_enable_undo (bool enable_undo=true)
| If enabled, changes to editable will be saved for undo/redo actions. More...
Glib::SignalProxy< void(const Glib::ustring &, int *)> | signal_insert_text ()
Glib::SignalProxy< void(int, int)> | signal_delete_text ()
Glib::SignalProxy< void()> | signal_changed ()
Glib::PropertyProxy< Glib::ustring > | property_text ()
| The contents of the entry. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_text () const
| The contents of the entry. More...
Glib::PropertyProxy_ReadOnly< int > | property_cursor_position () const
| The current position of the insertion cursor in chars. More...
Glib::PropertyProxy< bool > | property_enable_undo ()
| If undo/redo should be enabled for the editable. More...
Glib::PropertyProxy_ReadOnly< bool > | property_enable_undo () const
| If undo/redo should be enabled for the editable. More...
Glib::PropertyProxy_ReadOnly< int > | property_selection_bound () const
| The position of the opposite end of the selection from the cursor in chars. More...
Glib::PropertyProxy< bool > | property_editable ()
| Whether the entry contents can be edited. More...
Glib::PropertyProxy_ReadOnly< bool > | property_editable () const
| Whether the entry contents can be edited. More...
Glib::PropertyProxy< int > | property_width_chars ()
| Number of characters to leave space for in the entry. More...
Glib::PropertyProxy_ReadOnly< int > | property_width_chars () const
| Number of characters to leave space for in the entry. More...
Glib::PropertyProxy< int > | property_max_width_chars ()
| The desired maximum width of the entry, in characters. More...
Glib::PropertyProxy_ReadOnly< int > | property_max_width_chars () const
| The desired maximum width of the entry, in characters. More...
Glib::PropertyProxy< float > | property_xalign ()
| The horizontal alignment, from 0 (left) to 1 (right). More...
Glib::PropertyProxy_ReadOnly< float > | property_xalign () const
| The horizontal alignment, from 0 (left) to 1 (right). More...
Public Member Functions inherited from Gtk::CellEditable
| CellEditable (CellEditable && src) noexcept
CellEditable & | operator= (CellEditable && src) noexcept
| ~CellEditable () noexcept override
GtkCellEditable * | gobj ()
| Provides access to the underlying C GObject. More...
const GtkCellEditable * | gobj () const
| Provides access to the underlying C GObject. More...
void | start_editing (const Glib::RefPtr< const Gdk::Event > & event)
| Begins editing on a cell_editable. More...
void | editing_done ()
| Emits the `GtkCellEditable::editing-done` signal. More...
void | remove_widget ()
| Emits the `GtkCellEditable::remove-widget` signal. More...
Glib::SignalProxy< void()> | signal_editing_done ()
Glib::SignalProxy< void()> | signal_remove_widget ()
Glib::PropertyProxy< bool > | property_editing_canceled ()
| Indicates whether editing on the cell has been canceled. More...
Glib::PropertyProxy_ReadOnly< bool > | property_editing_canceled () const
| Indicates whether editing on the cell has been canceled. More...

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Gtk::Widget
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static void | set_default_direction (TextDirection dir)
| Sets the default reading direction for widgets. More...
static TextDirection | get_default_direction ()
| Obtains the current default reading direction. More...
Static Public Member Functions inherited from Gtk::Accessible
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Gtk::Buildable
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Gtk::ConstraintTarget
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Gtk::Editable
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Gtk::CellEditable
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Related Functions
(Note that these are not member functions.)
Gtk::Entry * | wrap (GtkEntry * object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::Widget
Gtk::Widget * | wrap (GtkWidget * object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::Accessible
Glib::RefPtr< Gtk::Accessible > | wrap (GtkAccessible * object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::Buildable
Glib::RefPtr< Gtk::Buildable > | wrap (GtkBuildable * object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::ConstraintTarget
Glib::RefPtr< Gtk::ConstraintTarget > | wrap (GtkConstraintTarget * object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::Editable
Glib::RefPtr< Gtk::Editable > | wrap (GtkEditable * object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::CellEditable
Glib::RefPtr< Gtk::CellEditable > | wrap (GtkCellEditable * object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Protected Member Functions inherited from Gtk::Widget
virtual void | root_vfunc ()
virtual void | unroot_vfunc ()
virtual void | size_allocate_vfunc (int width, int height, int baseline)
virtual SizeRequestMode | get_request_mode_vfunc () const
virtual void | measure_vfunc (Orientation orientation, int for_size, int & minimum, int & natural, int & minimum_baseline, int & natural_baseline) const
virtual bool | grab_focus_vfunc ()
virtual void | set_focus_child_vfunc (Widget * child)
| Sets the focused child of widget. More...
virtual void | compute_expand_vfunc (bool & hexpand_p, bool & vexpand_p)
virtual bool | contains_vfunc (double x, double y) const
virtual void | snapshot_vfunc (const Glib::RefPtr< Gtk::Snapshot > & snapshot)
| Widget ()
void | realize ()
| Creates the GDK resources associated with a widget. More...
void | unrealize ()
| Causes a widget to be unrealized (frees all GDK resources associated with the widget). More...
void | realize_if_needed ()
void | set_focus_child (Widget & child)
| Set child as the current focus child of widget. More...
void | unset_focus_child ()
| Unsets the focus child of the widget. More...
Widget * | get_focus_child ()
| Returns the current focus child of widget. More...
const Widget * | get_focus_child () const
| Returns the current focus child of widget. More...
virtual void | on_show ()
| This is a default handler for the signal signal_show(). More...
virtual void | on_hide ()
| This is a default handler for the signal signal_hide(). More...
virtual void | on_map ()
| This is a default handler for the signal signal_map(). More...
virtual void | on_unmap ()
| This is a default handler for the signal signal_unmap(). More...
virtual void | on_realize ()
| This is a default handler for the signal signal_realize(). More...
virtual void | on_unrealize ()
| This is a default handler for the signal signal_unrealize(). More...
virtual void | on_state_flags_changed (Gtk::StateFlags previous_state_flags)
| This is a default handler for the signal signal_state_flags_changed(). More...
virtual void | on_direction_changed (TextDirection direction)
| This is a default handler for the signal signal_direction_changed(). More...
virtual bool | on_mnemonic_activate (bool group_cycling)
| This is a default handler for the signal signal_mnemonic_activate(). More...
virtual bool | on_query_tooltip (int x, int y, bool keyboard_tooltip, const Glib::RefPtr< Tooltip > & tooltip)
| This is a default handler for the signal signal_query_tooltip(). More...
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)
Protected Member Functions inherited from Gtk::Accessible
| Accessible ()
| You should derive from this class to use it. More...
Protected Member Functions inherited from Gtk::Buildable
| Buildable ()
| You should derive from this class to use it. More...
Protected Member Functions inherited from Gtk::ConstraintTarget
| ConstraintTarget ()
| You should derive from this class to use it. More...
Protected Member Functions inherited from Gtk::Editable
| Editable ()
| You should derive from this class to use it. More...
virtual void | delete_text_vfunc (int start_pos, int end_pos)
virtual Glib::ustring | get_text_vfunc () const
virtual void | select_region_vfunc (int start_pos, int end_pos)
virtual bool | get_selection_bounds_vfunc (int & start_pos, int & end_pos) const
virtual void | insert_text_vfunc (const Glib::ustring & text, int & position)
virtual void | on_insert_text (const Glib::ustring & text, int * position)
| This is a default handler for the signal signal_insert_text(). More...
virtual void | on_delete_text (int start_pos, int end_pos)
| This is a default handler for the signal signal_delete_text(). More...
virtual void | on_changed ()
| This is a default handler for the signal signal_changed(). More...
Protected Member Functions inherited from Gtk::CellEditable
| CellEditable ()
| You should derive from this class to use it. More...
virtual void | start_editing_vfunc (const Glib::RefPtr< const Gdk::Event > & event)
virtual void | on_editing_done ()
| This is a default handler for the signal signal_editing_done(). More...
virtual void | on_remove_widget ()
| This is a default handler for the signal signal_remove_widget(). More...

## Detailed Description

A single line text entry field.

The Gtk::Entry widget is a single line text entry widget. A fairly large set of key bindings are supported by default. If the entered text is longer than the allocation of the widget, the widget will scroll so that the cursor position is visible.

The Entry widget looks like this:

## Constructor & Destructor Documentation

## ◆ Entry() [1/4]

Gtk::Entry::Entry | ( | Entry && | src | ) |
| noexcept

## ◆ Entry() [2/4]

Gtk::Entry::Entry | ( | const Entry & |  | ) |
| delete

## ◆ ~Entry()

Gtk::Entry::~Entry | ( |  | ) |
| overridenoexcept

## ◆ Entry() [3/4]

Gtk::Entry::Entry | ( |  | ) |

## ◆ Entry() [4/4]

Gtk::Entry::Entry | ( | const Glib::RefPtr< EntryBuffer > & | buffer | ) |
| explicit

## Member Function Documentation

## ◆ get_activates_default()

gboolean Gtk::Entry::get_activates_default | ( |  | ) | const

Retrieves the value set by set_activates_default().

Returns
  `true` if the entry will activate the default widget.

## ◆ get_alignment()

float Gtk::Entry::get_alignment | ( |  | ) | const

Gets the value set by set_alignment().

See also: Gtk::Editable::property_xalign()

Returns
  The alignment.

## ◆ get_attributes()

Pango::AttrList Gtk::Entry::get_attributes | ( |  | ) | const

Gets the attribute list of the `Gtk::Entry`.

See set_attributes().

Returns
  The attribute list.

## ◆ get_buffer() [1/2]

Glib::RefPtr< EntryBuffer > Gtk::Entry::get_buffer | ( |  | ) |

Get the `Gtk::EntryBuffer` object which holds the text for this widget.

Returns
  A `Gtk::EntryBuffer` object.

## ◆ get_buffer() [2/2]

Glib::RefPtr< const EntryBuffer > Gtk::Entry::get_buffer | ( |  | ) | const

Get the `Gtk::EntryBuffer` object which holds the text for this widget.

Returns
  A `Gtk::EntryBuffer` object.

## ◆ get_completion() [1/2]

Glib::RefPtr< EntryCompletion > Gtk::Entry::get_completion | ( |  | ) |

Returns the auxiliary completion object currently in use by entry.

Deprecated: 4.10: GtkEntryCompletion will be removed in GTK 5.

Deprecated:
  GtkEntryCompletion will be removed in GTK 5.

Returns
  The auxiliary completion object currently in use by entry.

## ◆ get_completion() [2/2]

Glib::RefPtr< const EntryCompletion > Gtk::Entry::get_completion | ( |  | ) | const

Returns the auxiliary completion object currently in use by entry.

Deprecated: 4.10: GtkEntryCompletion will be removed in GTK 5.

Deprecated:
  GtkEntryCompletion will be removed in GTK 5.

Returns
  The auxiliary completion object currently in use by entry.

## ◆ get_current_icon_drag_source()

int Gtk::Entry::get_current_icon_drag_source | ( |  | ) |

Returns the index of the icon which is the source of the current DND operation, or -1.

Returns
  Index of the icon which is the source of the current DND operation, or -1.

## ◆ get_extra_menu() [1/2]

Glib::RefPtr< Gio::MenuModel > Gtk::Entry::get_extra_menu | ( |  | ) |

Gets the menu model set with set_extra_menu().

Returns
  The menu model.

## ◆ get_extra_menu() [2/2]

Glib::RefPtr< const Gio::MenuModel > Gtk::Entry::get_extra_menu | ( |  | ) | const

Gets the menu model set with set_extra_menu().

Returns
  The menu model.

## ◆ get_has_frame()

bool Gtk::Entry::get_has_frame | ( |  | ) | const

Gets the value set by set_has_frame().

Returns
  Whether the entry has a beveled frame.

## ◆ get_icon_activatable()

bool Gtk::Entry::get_icon_activatable | ( | IconPosition | icon_pos = `IconPosition::PRIMARY` | ) | const

Returns whether the icon is activatable.

Parameters

  icon_pos | Icon position.

Returns
  `true` if the icon is activatable.

## ◆ get_icon_area()

Gdk::Rectangle Gtk::Entry::get_icon_area | ( | IconPosition | icon_pos = `IconPosition::PRIMARY` | ) | const

Returns the area where entry's icon at icon_pos is drawn.

This function is useful when drawing something to the entry in a draw callback.

Parameters

  icon_pos | Icon position.

Returns
  The location for the icon area.

Since gtkmm 3.0:

## ◆ get_icon_at_pos()

int Gtk::Entry::get_icon_at_pos | ( | int | x,
|  | int | y
| ) |  | const

Finds the icon at the given position and return its index.

The position’s coordinates are relative to the entry’s top left corner. If x, y doesn’t lie inside an icon, -1 is returned. This function is intended for use in a Gtk::Widget::signal_query_tooltip() signal handler.

Parameters

  x | The x coordinate of the position to find, relative to entry.
  y | The y coordinate of the position to find, relative to entry.

Returns
  The index of the icon at the given position, or -1.

## ◆ get_icon_gicon() [1/2]

Glib::RefPtr< Gio::Icon > Gtk::Entry::get_icon_gicon | ( | IconPosition | icon_pos = `IconPosition::PRIMARY` | ) |

Retrieves the `Gio::Icon` used for the icon.

`nullptr` will be returned if there is no icon or if the icon was set by some other method (e.g., by `Gdk::Paintable` or icon name).

Parameters

  icon_pos | Icon position.

Returns
  A `Gio::Icon`.

## ◆ get_icon_gicon() [2/2]

Glib::RefPtr< const Gio::Icon > Gtk::Entry::get_icon_gicon | ( | IconPosition | icon_pos = `IconPosition::PRIMARY` | ) | const

Retrieves the `Gio::Icon` used for the icon.

`nullptr` will be returned if there is no icon or if the icon was set by some other method (e.g., by `Gdk::Paintable` or icon name).

Parameters

  icon_pos | Icon position.

Returns
  A `Gio::Icon`.

## ◆ get_icon_name()

Glib::ustring Gtk::Entry::get_icon_name | ( | IconPosition | icon_pos = `IconPosition::PRIMARY` | ) | const

Retrieves the icon name used for the icon.

`nullptr` is returned if there is no icon or if the icon was set by some other method (e.g., by `Gdk::Paintable` or gicon).

Parameters

  icon_pos | Icon position.

Returns
  An icon name.

## ◆ get_icon_paintable() [1/2]

Glib::RefPtr< Gdk::Paintable > Gtk::Entry::get_icon_paintable | ( | IconPosition | icon_pos = `IconPosition::PRIMARY` | ) |

Retrieves the `Gdk::Paintable` used for the icon.

If no `Gdk::Paintable` was used for the icon, `nullptr` is returned.

Parameters

  icon_pos | Icon position.

Returns
  A `Gdk::Paintable` if no icon is set for this position or the icon set is not a `Gdk::Paintable`.

## ◆ get_icon_paintable() [2/2]

Glib::RefPtr< const Gdk::Paintable > Gtk::Entry::get_icon_paintable | ( | IconPosition | icon_pos = `IconPosition::PRIMARY` | ) | const

Retrieves the `Gdk::Paintable` used for the icon.

If no `Gdk::Paintable` was used for the icon, `nullptr` is returned.

Parameters

  icon_pos | Icon position.

Returns
  A `Gdk::Paintable` if no icon is set for this position or the icon set is not a `Gdk::Paintable`.

## ◆ get_icon_sensitive()

bool Gtk::Entry::get_icon_sensitive | ( | IconPosition | icon_pos = `IconPosition::PRIMARY` | ) |

Returns whether the icon appears sensitive or insensitive.

Parameters

  icon_pos | Icon position.

Returns
  `true` if the icon is sensitive.

## ◆ get_icon_storage_type()

Image::Type Gtk::Entry::get_icon_storage_type | ( | IconPosition | icon_pos = `IconPosition::PRIMARY` | ) | const

Gets the type of representation being used by the icon to store image data.

If the icon has no image data, the return value will be Gtk::Image::Type::EMPTY.

Parameters

  icon_pos | Icon position.

Returns
  Image representation being used.

## ◆ get_icon_tooltip_markup()

Glib::ustring Gtk::Entry::get_icon_tooltip_markup | ( | IconPosition | icon_pos = `IconPosition::PRIMARY` | ) | const

Gets the contents of the tooltip on the icon at the specified position in entry.

Parameters

  icon_pos | The icon position.

Returns
  The tooltip text.

## ◆ get_icon_tooltip_text()

Glib::ustring Gtk::Entry::get_icon_tooltip_text | ( | IconPosition | icon_pos = `IconPosition::PRIMARY` | ) | const

Gets the contents of the tooltip on the icon at the specified position in entry.

Parameters

  icon_pos | The icon position.

Returns
  The tooltip text.

## ◆ get_input_hints()

InputHints Gtk::Entry::get_input_hints | ( |  | ) | const

Gets the input hints of this `Gtk::Entry`.

Returns
  The input hints.

## ◆ get_input_purpose()

InputPurpose Gtk::Entry::get_input_purpose | ( |  | ) | const

Gets the input purpose of the `Gtk::Entry`.

Returns
  The input purpose.

## ◆ get_invisible_char()

gunichar Gtk::Entry::get_invisible_char | ( |  | ) | const

Retrieves the character displayed in place of the actual text in “password mode”.

Returns
  The current invisible char, or 0, if the entry does not show invisible text at all.

## ◆ get_max_length()

int Gtk::Entry::get_max_length | ( |  | ) | const

Retrieves the maximum allowed length of the text in entry.

See set_max_length().

Returns
  The maximum allowed number of characters in `Gtk::Entry`, or 0 if there is no maximum.

## ◆ get_overwrite_mode()

bool Gtk::Entry::get_overwrite_mode | ( |  | ) | const

Gets whether the `Gtk::Entry` is in overwrite mode.

Returns
  Whether the text is overwritten when typing.

## ◆ get_placeholder_text()

Glib::ustring Gtk::Entry::get_placeholder_text | ( |  | ) | const

Retrieves the text that will be displayed when entry is empty and unfocused.

Returns
  A pointer to the placeholder text as a string. This string points to internally allocated storage in the widget and must not be freed, modified or stored. If no placeholder text has been set, `nullptr` will be returned.

## ◆ get_progress_fraction()

double Gtk::Entry::get_progress_fraction | ( |  | ) | const

Returns the current fraction of the task that’s been completed.

See set_progress_fraction().

Returns
  A fraction from 0.0 to 1.0.

## ◆ get_progress_pulse_step()

double Gtk::Entry::get_progress_pulse_step | ( |  | ) |

Retrieves the pulse step set with set_progress_pulse_step().

Returns
  A fraction from 0.0 to 1.0.

## ◆ get_tabs()

Pango::TabArray Gtk::Entry::get_tabs | ( |  | ) | const

Gets the tabstops of the `Gtk::Entry`.

See set_tabs().

Returns
  The tabstops.

## ◆ get_text_length()

guint16 Gtk::Entry::get_text_length | ( |  | ) | const

Retrieves the current length of the text in entry.

This is equivalent to getting entry's `Gtk::EntryBuffer` and calling Gtk::EntryBuffer::get_length() on it.

Returns
  The current number of characters in `Gtk::Entry`, or 0 if there are none.

## ◆ get_type()

static GType Gtk::Entry::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ get_visibility()

bool Gtk::Entry::get_visibility | ( |  | ) | const

Retrieves whether the text in entry is visible.

See set_visibility().

Returns
  `true` if the text is currently visible.

## ◆ gobj() [1/2]

GtkEntry * Gtk::Entry::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkEntry * Gtk::Entry::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ grab_focus_without_selecting()

void Gtk::Entry::grab_focus_without_selecting | ( |  | ) |

Causes entry to have keyboard focus.

It behaves like Gtk::Widget::grab_focus(), except that it doesn't select the contents of the entry. You only want to call this on some special entries which the user usually doesn't want to replace all text in, such as search-as-you-type entries.

## ◆ operator=() [1/2]

Entry & Gtk::Entry::operator= | ( | const Entry & |  | ) |
| delete

## ◆ operator=() [2/2]

Entry & Gtk::Entry::operator= | ( | Entry && | src | ) |
| noexcept

## ◆ progress_pulse()

void Gtk::Entry::progress_pulse | ( |  | ) |

Indicates that some progress is made, but you don’t know how much.

Causes the entry’s progress indicator to enter “activity mode”, where a block bounces back and forth. Each call to progress_pulse() causes the block to move by a little bit (the amount of movement per pulse is determined by set_progress_pulse_step()).

## ◆ property_activates_default() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_activates_default | ( |  | ) |

Whether to activate the default widget when Enter is pressed.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_activates_default() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_activates_default | ( |  | ) | const

Whether to activate the default widget when Enter is pressed.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_attributes() [1/2]

Glib::PropertyProxy< Pango::AttrList > Gtk::Entry::property_attributes | ( |  | ) |

A list of Pango attributes to apply to the text of the entry.

This is mainly useful to change the size or weight of the text.

The `Pango::Attribute`'s start_index and end_index must refer to the Gtk::EntryBuffer text, i.e. without the preedit string.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_attributes() [2/2]

Glib::PropertyProxy_ReadOnly< Pango::AttrList > Gtk::Entry::property_attributes | ( |  | ) | const

A list of Pango attributes to apply to the text of the entry.

This is mainly useful to change the size or weight of the text.

The `Pango::Attribute`'s start_index and end_index must refer to the Gtk::EntryBuffer text, i.e. without the preedit string.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_buffer() [1/2]

Glib::PropertyProxy< Glib::RefPtr< EntryBuffer > > Gtk::Entry::property_buffer | ( |  | ) |

The buffer object which actually stores the text.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_buffer() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::RefPtr< EntryBuffer > > Gtk::Entry::property_buffer | ( |  | ) | const

The buffer object which actually stores the text.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_completion() [1/2]

Glib::PropertyProxy< Glib::RefPtr< EntryCompletion > > Gtk::Entry::property_completion | ( |  | ) |

The auxiliary completion object to use with the entry.

Deprecated: 4.10: GtkEntryCompletion will be removed in GTK 5.

Deprecated:
  GtkEntryCompletion will be removed in GTK 5.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_completion() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::RefPtr< EntryCompletion > > Gtk::Entry::property_completion | ( |  | ) | const

The auxiliary completion object to use with the entry.

Deprecated: 4.10: GtkEntryCompletion will be removed in GTK 5.

Deprecated:
  GtkEntryCompletion will be removed in GTK 5.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_enable_emoji_completion() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_enable_emoji_completion | ( |  | ) |

Whether to suggest Emoji replacements for :-delimited names like `:heart:`.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_enable_emoji_completion() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_enable_emoji_completion | ( |  | ) | const

Whether to suggest Emoji replacements for :-delimited names like `:heart:`.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_extra_menu() [1/2]

Glib::PropertyProxy< Glib::RefPtr< Gio::MenuModel > > Gtk::Entry::property_extra_menu | ( |  | ) |

A menu model whose contents will be appended to the context menu.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_extra_menu() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gio::MenuModel > > Gtk::Entry::property_extra_menu | ( |  | ) | const

A menu model whose contents will be appended to the context menu.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_has_frame() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_has_frame | ( |  | ) |

Whether the entry should draw a frame.

Default value: `true`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_has_frame() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_has_frame | ( |  | ) | const

Whether the entry should draw a frame.

Default value: `true`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_im_module() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::Entry::property_im_module | ( |  | ) |

Which IM (input method) module should be used for this entry.

See Gtk::IMContext.

Setting this to a non-`nullptr` value overrides the system-wide IM module setting. See the GtkSettings Gtk::Settings::property_gtk_im_module() property.

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_im_module() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Entry::property_im_module | ( |  | ) | const

Which IM (input method) module should be used for this entry.

See Gtk::IMContext.

Setting this to a non-`nullptr` value overrides the system-wide IM module setting. See the GtkSettings Gtk::Settings::property_gtk_im_module() property.

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_input_hints() [1/2]

Glib::PropertyProxy< InputHints > Gtk::Entry::property_input_hints | ( |  | ) |

Additional hints that allow input methods to fine-tune their behavior.

Also see property_input_purpose()

Default value: Gtk::InputHints::NONE

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_input_hints() [2/2]

Glib::PropertyProxy_ReadOnly< InputHints > Gtk::Entry::property_input_hints | ( |  | ) | const

Additional hints that allow input methods to fine-tune their behavior.

Also see property_input_purpose()

Default value: Gtk::InputHints::NONE

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_input_purpose() [1/2]

Glib::PropertyProxy< InputPurpose > Gtk::Entry::property_input_purpose | ( |  | ) |

The purpose of this text field.

This property can be used by on-screen keyboards and other input methods to adjust their behaviour.

Note that setting the purpose to Gtk::InputPurpose::PASSWORD or Gtk::InputPurpose::PIN is independent from setting property_visibility().

Default value: Gtk::InputPurpose::FREE_FORM

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_input_purpose() [2/2]

Glib::PropertyProxy_ReadOnly< InputPurpose > Gtk::Entry::property_input_purpose | ( |  | ) | const

The purpose of this text field.

This property can be used by on-screen keyboards and other input methods to adjust their behaviour.

Note that setting the purpose to Gtk::InputPurpose::PASSWORD or Gtk::InputPurpose::PIN is independent from setting property_visibility().

Default value: Gtk::InputPurpose::FREE_FORM

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_invisible_char() [1/2]

Glib::PropertyProxy< gunichar > Gtk::Entry::property_invisible_char | ( |  | ) |

The character to use when masking entry contents (“password mode”).

Default value: 42

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_invisible_char() [2/2]

Glib::PropertyProxy_ReadOnly< gunichar > Gtk::Entry::property_invisible_char | ( |  | ) | const

The character to use when masking entry contents (“password mode”).

Default value: 42

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_invisible_char_set() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_invisible_char_set | ( |  | ) |

Whether the invisible char has been set for the `Gtk::Entry`.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_invisible_char_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_invisible_char_set | ( |  | ) | const

Whether the invisible char has been set for the `Gtk::Entry`.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_max_length() [1/2]

Glib::PropertyProxy< int > Gtk::Entry::property_max_length | ( |  | ) |

Maximum number of characters for this entry.

Default value: 0

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_max_length() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::Entry::property_max_length | ( |  | ) | const

Maximum number of characters for this entry.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_overwrite_mode() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_overwrite_mode | ( |  | ) |

If text is overwritten when typing in the `Gtk::Entry`.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_overwrite_mode() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_overwrite_mode | ( |  | ) | const

If text is overwritten when typing in the `Gtk::Entry`.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_placeholder_text() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::Entry::property_placeholder_text | ( |  | ) |

The text that will be displayed in the `Gtk::Entry` when it is empty and unfocused.

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_placeholder_text() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Entry::property_placeholder_text | ( |  | ) | const

The text that will be displayed in the `Gtk::Entry` when it is empty and unfocused.

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_activatable() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_primary_icon_activatable | ( |  | ) |

Whether the primary icon is activatable.

GTK emits the signal_icon_press() and signal_icon_release() signals only on sensitive, activatable icons.

Sensitive, but non-activatable icons can be used for purely informational purposes.

Default value: `true`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_activatable() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_primary_icon_activatable | ( |  | ) | const

Whether the primary icon is activatable.

GTK emits the signal_icon_press() and signal_icon_release() signals only on sensitive, activatable icons.

Sensitive, but non-activatable icons can be used for purely informational purposes.

Default value: `true`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_gicon() [1/2]

Glib::PropertyProxy< Glib::RefPtr< Gio::Icon > > Gtk::Entry::property_primary_icon_gicon | ( |  | ) |

The `Gio::Icon` to use for the primary icon for the entry.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_gicon() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gio::Icon > > Gtk::Entry::property_primary_icon_gicon | ( |  | ) | const

The `Gio::Icon` to use for the primary icon for the entry.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_name() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::Entry::property_primary_icon_name | ( |  | ) |

The icon name to use for the primary icon for the entry.

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_name() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Entry::property_primary_icon_name | ( |  | ) | const

The icon name to use for the primary icon for the entry.

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_paintable() [1/2]

Glib::PropertyProxy< Glib::RefPtr< Gdk::Paintable > > Gtk::Entry::property_primary_icon_paintable | ( |  | ) |

A `Gdk::Paintable` to use as the primary icon for the entry.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_paintable() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gdk::Paintable > > Gtk::Entry::property_primary_icon_paintable | ( |  | ) | const

A `Gdk::Paintable` to use as the primary icon for the entry.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_sensitive() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_primary_icon_sensitive | ( |  | ) |

Whether the primary icon is sensitive.

An insensitive icon appears grayed out. GTK does not emit the signal_icon_press() and signal_icon_release() signals and does not allow DND from insensitive icons.

An icon should be set insensitive if the action that would trigger when clicked is currently not available.

Default value: `true`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_sensitive() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_primary_icon_sensitive | ( |  | ) | const

Whether the primary icon is sensitive.

An insensitive icon appears grayed out. GTK does not emit the signal_icon_press() and signal_icon_release() signals and does not allow DND from insensitive icons.

An icon should be set insensitive if the action that would trigger when clicked is currently not available.

Default value: `true`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_storage_type()

Glib::PropertyProxy_ReadOnly< Image::Type > Gtk::Entry::property_primary_icon_storage_type | ( |  | ) | const

The representation which is used for the primary icon of the entry.

Default value: Gtk::Image::Type::EMPTY

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_tooltip_markup() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_primary_icon_tooltip_markup | ( |  | ) |

The contents of the tooltip on the primary icon, with markup.

Also see Gtk::Entry::set_icon_tooltip_markup().

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_tooltip_markup() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_primary_icon_tooltip_markup | ( |  | ) | const

The contents of the tooltip on the primary icon, with markup.

Also see Gtk::Entry::set_icon_tooltip_markup().

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_tooltip_text() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_primary_icon_tooltip_text | ( |  | ) |

The contents of the tooltip on the primary icon.

Also see Gtk::Entry::set_icon_tooltip_text().

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_tooltip_text() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_primary_icon_tooltip_text | ( |  | ) | const

The contents of the tooltip on the primary icon.

Also see Gtk::Entry::set_icon_tooltip_text().

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_progress_fraction() [1/2]

Glib::PropertyProxy< double > Gtk::Entry::property_progress_fraction | ( |  | ) |

The current fraction of the task that's been completed.

Default value: 0

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_progress_fraction() [2/2]

Glib::PropertyProxy_ReadOnly< double > Gtk::Entry::property_progress_fraction | ( |  | ) | const

The current fraction of the task that's been completed.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_progress_pulse_step() [1/2]

Glib::PropertyProxy< double > Gtk::Entry::property_progress_pulse_step | ( |  | ) |

The fraction of total entry width to move the progress bouncing block for each pulse.

See Gtk::Entry::progress_pulse().

Default value: 0

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_progress_pulse_step() [2/2]

Glib::PropertyProxy_ReadOnly< double > Gtk::Entry::property_progress_pulse_step | ( |  | ) | const

The fraction of total entry width to move the progress bouncing block for each pulse.

See Gtk::Entry::progress_pulse().

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_scroll_offset()

Glib::PropertyProxy_ReadOnly< int > Gtk::Entry::property_scroll_offset | ( |  | ) | const

Number of pixels of the entry scrolled off the screen to the left.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_activatable() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_secondary_icon_activatable | ( |  | ) |

Whether the secondary icon is activatable.

GTK emits the signal_icon_press() and signal_icon_release() signals only on sensitive, activatable icons.

Sensitive, but non-activatable icons can be used for purely informational purposes.

Default value: `true`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_activatable() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_secondary_icon_activatable | ( |  | ) | const

Whether the secondary icon is activatable.

GTK emits the signal_icon_press() and signal_icon_release() signals only on sensitive, activatable icons.

Sensitive, but non-activatable icons can be used for purely informational purposes.

Default value: `true`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_gicon() [1/2]

Glib::PropertyProxy< Glib::RefPtr< Gio::Icon > > Gtk::Entry::property_secondary_icon_gicon | ( |  | ) |

The `Gio::Icon` to use for the secondary icon for the entry.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_gicon() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gio::Icon > > Gtk::Entry::property_secondary_icon_gicon | ( |  | ) | const

The `Gio::Icon` to use for the secondary icon for the entry.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_name() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::Entry::property_secondary_icon_name | ( |  | ) |

The icon name to use for the secondary icon for the entry.

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_name() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Entry::property_secondary_icon_name | ( |  | ) | const

The icon name to use for the secondary icon for the entry.

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_paintable() [1/2]

Glib::PropertyProxy< Glib::RefPtr< Gdk::Paintable > > Gtk::Entry::property_secondary_icon_paintable | ( |  | ) |

A `Gdk::Paintable` to use as the secondary icon for the entry.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_paintable() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gdk::Paintable > > Gtk::Entry::property_secondary_icon_paintable | ( |  | ) | const

A `Gdk::Paintable` to use as the secondary icon for the entry.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_sensitive() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_secondary_icon_sensitive | ( |  | ) |

Whether the secondary icon is sensitive.

An insensitive icon appears grayed out. GTK does not emit the [signa.nosp@m.l@Gt.nosp@m.k.Ent.nosp@m.ry::icon-press[ and [signal Gtk.Entry::icon-release] signals and does not allow DND from insensitive icons.

An icon should be set insensitive if the action that would trigger when clicked is currently not available.

Default value: `true`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_sensitive() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_secondary_icon_sensitive | ( |  | ) | const

Whether the secondary icon is sensitive.

An insensitive icon appears grayed out. GTK does not emit the [signa.nosp@m.l@Gt.nosp@m.k.Ent.nosp@m.ry::icon-press[ and [signal Gtk.Entry::icon-release] signals and does not allow DND from insensitive icons.

An icon should be set insensitive if the action that would trigger when clicked is currently not available.

Default value: `true`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_storage_type()

Glib::PropertyProxy_ReadOnly< Image::Type > Gtk::Entry::property_secondary_icon_storage_type | ( |  | ) | const

The representation which is used for the secondary icon of the entry.

Default value: Gtk::Image::Type::EMPTY

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_tooltip_markup() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_secondary_icon_tooltip_markup | ( |  | ) |

The contents of the tooltip on the secondary icon, with markup.

Also see Gtk::Entry::set_icon_tooltip_markup().

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_tooltip_markup() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_secondary_icon_tooltip_markup | ( |  | ) | const

The contents of the tooltip on the secondary icon, with markup.

Also see Gtk::Entry::set_icon_tooltip_markup().

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_tooltip_text() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_secondary_icon_tooltip_text | ( |  | ) |

The contents of the tooltip on the secondary icon.

Also see Gtk::Entry::set_icon_tooltip_text().

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_tooltip_text() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_secondary_icon_tooltip_text | ( |  | ) | const

The contents of the tooltip on the secondary icon.

Also see Gtk::Entry::set_icon_tooltip_text().

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_show_emoji_icon() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_show_emoji_icon | ( |  | ) |

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_show_emoji_icon() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_show_emoji_icon | ( |  | ) | const

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_tabs() [1/2]

Glib::PropertyProxy< Pango::TabArray > Gtk::Entry::property_tabs | ( |  | ) |

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_tabs() [2/2]

Glib::PropertyProxy_ReadOnly< Pango::TabArray > Gtk::Entry::property_tabs | ( |  | ) | const

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_text_length()

Glib::PropertyProxy_ReadOnly< guint > Gtk::Entry::property_text_length | ( |  | ) | const

The length of the text in the `Gtk::Entry`.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_truncate_multiline() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_truncate_multiline | ( |  | ) |

When `true`, pasted multi-line text is truncated to the first line.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_truncate_multiline() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_truncate_multiline | ( |  | ) | const

When `true`, pasted multi-line text is truncated to the first line.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_visibility() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_visibility | ( |  | ) |

Whether the entry should show the “invisible char” instead of the actual text (“password mode”).

Default value: `true`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_visibility() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_visibility | ( |  | ) | const

Whether the entry should show the “invisible char” instead of the actual text (“password mode”).

Default value: `true`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ reset_im_context()

void Gtk::Entry::reset_im_context | ( |  | ) |

Reset the input method context of the entry if needed.

This can be necessary in the case where modifying the buffer would confuse on-going input method behavior.

## ◆ set_activates_default()

void Gtk::Entry::set_activates_default | ( | bool | setting = `true` | ) |

Sets whether pressing Enter in the entry will activate the default widget for the window containing the entry.

This usually means that the dialog containing the entry will be closed, since the default widget is usually one of the dialog buttons.

Parameters

  setting | `true` to activate window’s default widget on Enter keypress.

## ◆ set_alignment() [1/2]

void Gtk::Entry::set_alignment | ( | Align | xalign | ) |

Sets the alignment for the contents of the entry.

This controls the horizontal positioning of the contents when the displayed text is shorter than the width of the entry.

See also: Gtk::Editable::property_xalign()

Parameters

  xalign | The horizontal alignment, from 0 (left) to 1 (right). Reversed for RTL layouts.

## ◆ set_alignment() [2/2]

void Gtk::Entry::set_alignment | ( | float | xalign | ) |

Sets the alignment for the contents of the entry.

This controls the horizontal positioning of the contents when the displayed text is shorter than the width of the entry.

See also: Gtk::Editable::property_xalign()

Parameters

  xalign | The horizontal alignment, from 0 (left) to 1 (right). Reversed for RTL layouts.

## ◆ set_attributes()

void Gtk::Entry::set_attributes | ( | Pango::AttrList & | attrs | ) |

Sets a `Pango::AttrList`.

The attributes in the list are applied to the entry text.

Since the attributes will be applied to text that changes as the user types, it makes most sense to use attributes with unlimited extent.

Parameters

  attrs | A `Pango::AttrList`.

## ◆ set_buffer()

void Gtk::Entry::set_buffer | ( | const Glib::RefPtr< EntryBuffer > & | buffer | ) |

Set the `Gtk::EntryBuffer` object which holds the text for this widget.

Parameters

  buffer | A `Gtk::EntryBuffer`.

## ◆ set_completion()

void Gtk::Entry::set_completion | ( | const Glib::RefPtr< EntryCompletion > & | completion | ) |

Sets completion to be the auxiliary completion object to use with entry.

All further configuration of the completion mechanism is done on completion using the `Gtk::EntryCompletion` API. Completion is disabled if completion is set to `nullptr`.

Deprecated: 4.10: GtkEntryCompletion will be removed in GTK 5.

Deprecated:
  GtkEntryCompletion will be removed in GTK 5.

Parameters

  completion | The `Gtk::EntryCompletion`.

## ◆ set_extra_menu()

void Gtk::Entry::set_extra_menu | ( | const Glib::RefPtr< Gio::MenuModel > & | model | ) |

Sets a menu model to add when constructing the context menu for entry.

Parameters

  model | A `Gio::MenuModel`.

## ◆ set_has_frame()

void Gtk::Entry::set_has_frame | ( | bool | setting = `true` | ) |

Sets whether the entry has a beveled frame around it.

Parameters

  setting | New value.

## ◆ set_icon_activatable()

void Gtk::Entry::set_icon_activatable | ( | bool | activatable = `true`,
|  | IconPosition | icon_pos = `IconPosition::PRIMARY`
| ) |  |

Sets whether the icon is activatable.

Parameters

  icon_pos | Icon position.
  activatable | `true` if the icon should be activatable.

## ◆ set_icon_drag_source()

void Gtk::Entry::set_icon_drag_source | ( | const Glib::RefPtr< Gdk::ContentProvider > & | provider,
|  | Gdk::DragAction | actions = `Gdk::DragAction::COPY`,
|  | IconPosition | icon_pos = `IconPosition::PRIMARY`
| ) |  |

Sets up the icon at the given position as drag source.

This makes it so that GTK will start a drag operation when the user clicks and drags the icon.

Parameters

  icon_pos | Icon position.
  provider | A `Gdk::ContentProvider`.
  actions | A bitmask of the allowed drag actions.

## ◆ set_icon_from_gicon()

void Gtk::Entry::set_icon_from_gicon | ( | const Glib::RefPtr< Gio::Icon > & | icon,
|  | IconPosition | icon_pos = `IconPosition::PRIMARY`
| ) |  |

Sets the icon shown in the entry at the specified position from the current icon theme.

If the icon isn’t known, a “broken image” icon will be displayed instead.

If icon is `nullptr`, no icon will be shown in the specified position.

Parameters

  icon_pos | The position at which to set the icon.
  icon | The icon to set.

## ◆ set_icon_from_icon_name()

void Gtk::Entry::set_icon_from_icon_name | ( | const Glib::ustring & | icon_name,
|  | IconPosition | icon_pos = `IconPosition::PRIMARY`
| ) |  |

Sets the icon shown in the entry at the specified position from the current icon theme.

If the icon name isn’t known, a “broken image” icon will be displayed instead.

If icon_name is `nullptr`, no icon will be shown in the specified position.

Parameters

  icon_pos | The position at which to set the icon.
  icon_name | An icon name.

## ◆ set_icon_from_paintable()

void Gtk::Entry::set_icon_from_paintable | ( | const Glib::RefPtr< Gdk::Paintable > & | paintable,
|  | IconPosition | icon_pos = `IconPosition::PRIMARY`
| ) |  |

Sets the icon shown in the specified position using a `Gdk::Paintable`.

If paintable is `nullptr`, no icon will be shown in the specified position.

Parameters

  icon_pos | Icon position.
  paintable | A `Gdk::Paintable`.

## ◆ set_icon_sensitive()

void Gtk::Entry::set_icon_sensitive | ( | IconPosition | icon_pos = `IconPosition::PRIMARY`,
|  | bool | sensitive = `true`
| ) |  |

Sets the sensitivity for the specified icon.

Parameters

  icon_pos | Icon position.
  sensitive | Specifies whether the icon should appear sensitive or insensitive.

## ◆ set_icon_tooltip_markup()

void Gtk::Entry::set_icon_tooltip_markup | ( | const Glib::ustring & | tooltip,
|  | IconPosition | icon_pos = `IconPosition::PRIMARY`
| ) |  |

Sets tooltip as the contents of the tooltip for the icon at the specified position.

tooltip is assumed to be marked up with Pango Markup.

Use `nullptr` for tooltip to remove an existing tooltip.

See also Gtk::Widget::set_tooltip_markup() and set_icon_tooltip_text().

Parameters

  icon_pos | The icon position.
  tooltip | The contents of the tooltip for the icon.

## ◆ set_icon_tooltip_text()

void Gtk::Entry::set_icon_tooltip_text | ( | const Glib::ustring & | tooltip,
|  | IconPosition | icon_pos = `IconPosition::PRIMARY`
| ) |  |

Sets tooltip as the contents of the tooltip for the icon at the specified position.

Use `nullptr` for tooltip to remove an existing tooltip.

See also Gtk::Widget::set_tooltip_text() and set_icon_tooltip_markup().

If you unset the widget tooltip via Gtk::Widget::set_tooltip_text() or Gtk::Widget::set_tooltip_markup(), this sets Gtk::Widget::property_has_tooltip() to `false`, which suppresses icon tooltips too. You can resolve this by then calling Gtk::Widget::set_has_tooltip() to set Gtk::Widget::property_has_tooltip() back to `true`, or setting at least one non-empty tooltip on any icon achieves the same result.

Parameters

  icon_pos | The icon position.
  tooltip | The contents of the tooltip for the icon.

## ◆ set_input_hints()

void Gtk::Entry::set_input_hints | ( | InputHints | hints | ) |

Set additional hints which allow input methods to fine-tune their behavior.

Parameters

  hints | The hints.

## ◆ set_input_purpose()

void Gtk::Entry::set_input_purpose | ( | InputPurpose | purpose | ) |

Sets the input purpose which can be used by input methods to adjust their behavior.

Parameters

  purpose | The purpose.

## ◆ set_invisible_char()

void Gtk::Entry::set_invisible_char | ( | gunichar | ch | ) |

Sets the character to use in place of the actual text in “password mode”.

See set_visibility() for how to enable “password mode”.

By default, GTK picks the best invisible char available in the current font. If you set the invisible char to 0, then the user will get no feedback at all; there will be no text on the screen as they type.

Parameters

  ch | A Unicode character.

## ◆ set_max_length()

void Gtk::Entry::set_max_length | ( | int | max | ) |

Sets the maximum allowed length of the contents of the widget.

If the current contents are longer than the given length, then they will be truncated to fit. The length is in characters.

This is equivalent to getting entry's `Gtk::EntryBuffer` and calling Gtk::EntryBuffer::set_max_length() on it.

Parameters

  max | The maximum length of the entry, or 0 for no maximum. (other than the maximum length of entries.) The value passed in will be clamped to the range 0-65536.

## ◆ set_overwrite_mode()

void Gtk::Entry::set_overwrite_mode | ( | bool | overwrite = `true` | ) |

Sets whether the text is overwritten when typing in the `Gtk::Entry`.

Parameters

  overwrite | New value.

## ◆ set_placeholder_text()

void Gtk::Entry::set_placeholder_text | ( | const Glib::ustring & | text | ) |

Sets text to be displayed in entry when it is empty.

This can be used to give a visual hint of the expected contents of the `Gtk::Entry`.

Parameters

  text | A string to be displayed when entry is empty and unfocused.

## ◆ set_progress_fraction()

void Gtk::Entry::set_progress_fraction | ( | double | fraction | ) |

Causes the entry’s progress indicator to “fill in” the given fraction of the bar.

The fraction should be between 0.0 and 1.0, inclusive.

Parameters

  fraction | Fraction of the task that’s been completed.

## ◆ set_progress_pulse_step()

void Gtk::Entry::set_progress_pulse_step | ( | double | fraction | ) |

Sets the fraction of total entry width to move the progress bouncing block for each pulse.

Use progress_pulse() to pulse the progress.

Parameters

  fraction | Fraction between 0.0 and 1.0.

## ◆ set_tabs()

void Gtk::Entry::set_tabs | ( | const Pango::TabArray & | tabs | ) |

Sets a `Pango::TabArray`.

The tabstops in the array are applied to the entry text.

Parameters

  tabs | A `Pango::TabArray`.

## ◆ set_visibility()

void Gtk::Entry::set_visibility | ( | bool | visible = `true` | ) |

Sets whether the contents of the entry are visible or not.

When visibility is set to `false`, characters are displayed as the invisible char, and will also appear that way when the text in the entry widget is copied elsewhere.

By default, GTK picks the best invisible character available in the current font, but it can be changed with set_invisible_char().

Note that you probably want to set property_input_purpose() to Gtk::InputPurpose::PASSWORD or Gtk::InputPurpose::PIN to inform input methods about the purpose of this entry, in addition to setting visibility to `false`.

Parameters

  visible | `true` if the contents of the entry are displayed as plaintext.

## ◆ signal_activate()

Glib::SignalProxy< void()> Gtk::Entry::signal_activate | ( |  | ) |

Slot Prototype:
  `void on_my_activate()`

Flags: Run Last, Action

Emitted when the entry is activated.

The keybindings for this signal are all forms of the Enter key.

Since gtkmm 4.8:

## ◆ signal_icon_press()

Glib::SignalProxy< void(IconPosition)> Gtk::Entry::signal_icon_press | ( |  | ) |

Slot Prototype:
  `void on_my_icon_press(IconPosition icon_position)`

Flags: Run Last

Emitted when an activatable icon is clicked.

Parameters

  icon_position | The position of the clicked icon.

## ◆ signal_icon_release()

Glib::SignalProxy< void(IconPosition)> Gtk::Entry::signal_icon_release | ( |  | ) |

Slot Prototype:
  `void on_my_icon_release(IconPosition icon_position)`

Flags: Run Last

Emitted on the button release from a mouse click over an activatable icon.

Parameters

  icon_position | The position of the clicked icon.

## ◆ unset_icon()

void Gtk::Entry::unset_icon | ( | IconPosition | icon_pos = `IconPosition::PRIMARY` | ) |

Do not show any icon in the specified position.

See set_icon_from_paintable(), set_icon_from_icon_name(), and set_icon_from_gicon().

Parameters

  icon_pos | The icon position.

Since gtkmm 3.0:

## ◆ unset_invisible_char()

void Gtk::Entry::unset_invisible_char | ( |  | ) |

Unsets the invisible char, so that the default invisible char is used again.

See set_invisible_char().

## Friends And Related Function Documentation

## ◆ wrap()

Gtk::Entry * wrap | ( | GtkEntry * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.